<?php
/** 
* Framework directory name (current folder) 
*/
define('BD_FRAMEWORK_DIR_NAME', basename(dirname(__FILE__)));

/** 
* Theme directory and URL 
*/
define('BD_THEME_DIR', get_template_directory());
define('BD_THEME_URL', get_template_directory_uri().'/');	

/** 
* Framework directory and URL 
*/
define('BD_FRAMEWORK_DIR', BD_THEME_DIR.'/'.BD_FRAMEWORK_DIR_NAME);
define('BD_FRAMEWORK_URL', BD_THEME_URL.BD_FRAMEWORK_DIR_NAME.'/');


/** 
* Main content width :
* for WP
*/
if ( ! isset( $content_width ) ) $content_width = $this->options['width'];


/**
* Get the Theme Version and Theme Name for the style.css file
* wp_theme() function is available since WP 3.4
* @since WP 3.4
 */
$theme_data = wp_get_theme();
define('BD_THEME_VERSION', $theme_data['Version']);
define('BD_THEME_NAME', $theme_data['Name']);
define('BD_THEME_SLUG',  sanitize_title(BD_THEME_NAME) );


/** 
* Define a plugin folder for in-buit plugins
*/
define('BD_FEATURES_DIR', BD_THEME_DIR.'/includes/features');
define('BD_FEATURES_URL', BD_THEME_URL.'includes/features/');

$bd_uploads = wp_upload_dir();


/**
* Put the upload dir and URL in constants
* 
*/
define('BD_WP_UPLOAD_DIR', $bd_uploads['basedir'] );
define('BD_WP_UPLOAD_URL', $bd_uploads['baseurl'] . '/' );

/**
* We define a folder with the theme's name inside the Wordpress upload dir
*/
define('BD_THEME_UPLOAD_DIR', BD_WP_UPLOAD_DIR . '/' . BD_THEME_SLUG);
define('BD_THEME_UPLOAD_URL', BD_WP_UPLOAD_URL . BD_THEME_SLUG . '/');

/** 
* The theme options images dir and URL 
* We will upload the custom logo, backgrounds etc... in there
*/
define('BD_UPLOAD_DIR', BD_THEME_UPLOAD_DIR . '/bd-uploads');
define('BD_UPLOAD_URL', BD_THEME_UPLOAD_URL . 'bd-uploads/');

/** 
* Set global cache duration
* We will use Wordpress transient keys to cache our data
*/
define('BD_CACHE_DURATION', 60*60*6);

/**
* We create a folder with the theme's name
* We will keep all folders created by the theme scripts in here
*/
bd_create_folder( BD_THEME_UPLOAD_DIR );


/**
* Create a bd-uploads folder : we will upload the images from the theme options there
*/
bd_create_folder(BD_UPLOAD_DIR);


/*-----------------------------------------------------------------------------------*/
/*  First core functions
/*-----------------------------------------------------------------------------------*/

/**
* Create folder
*/
function bd_create_folder($dir){
	if(!is_dir($dir)) { 

		$old_mask = umask(0); 
		if( !mkdir($dir, 0777) ) {
			$output = 'Error creating the folder <strong>' . $dir . '</strong>. Please create it manually and set the permission to 777 through your FTP client.';
			bd_admin_notices($output, 'error');
		}
		umask($old_mask);

	}else{
		return null;
	}
}

/**
* Custom admin notice
*/
function bd_admin_notices($message = null, $type = null, $dismiss = false, $id = null ){
	if( $dismiss ){

		$dismiss = __('Hide permanently', 'bd');

		if($id){
			if( !isset($_COOKIE[$id]) )
				echo '<div class="wrap"><div class="'.$type.'"><p>'.$message.'<span class="bd-close-admin-notice">&times;</span><span id="' . $id . '" class="bd-dismiss-admin-notice">'.$dismiss.'</span></p></div></div>';
		}else{
			echo '<div class="wrap"><div class="'.$type.'"><p>'.$message.'<span class="bd-close-admin-notice">&times;</span><span class="bd-dismiss-admin-notice">'.$dismiss.'</span></p></div></div>';
		}
	}else{
		echo '<div class="wrap"><div class="'.$type.'"><p>'.$message.'</p></div></div>';
	}
}
add_action( 'admin_notices', 'bd_admin_notices' );