<?php
/**
* Class to add a video field on any post type
* (Video post types are set in BD-theme['video'])
*/
class BdVideo {

	var $types = array();

	function __construct($types = array())
	{
		$this->types = $types + $this->types;
		add_action('admin_head', array(&$this, 'add_style'));
		add_action('admin_footer', array(&$this, 'add_script'));
		add_action('add_meta_boxes', array(&$this, 'add_meta'));
		add_action('save_post', array(&$this, 'save'));
	}


	function add_style()
	{
		echo '<style type="text/css">
		.cp-elm-block label {
			color: #666;
			display: block;
			font: italic normal 12px Georgia, Serif;
			margin-bottom: 2px;
			padding-left: 8px;
			text-transform: uppercase;
			text-shadow: 0 1px 1px #fff;
		}
		.cp-elm-block textarea {
			font-size: 18px;
			width: 100%;
			height: 65px;
			padding: 8px 11px;
		}

		</style>';
	}

	function add_script()
	{
		echo  '<script type="text/javascript">
	      	jQuery(function($) {
			$("#cfpf-format-video-fields").insertAfter($("#titlediv"));
	      	});
	            </script>';
	}


	function save($post_id)
	{
		if (!defined('XMLRPC_REQUEST') && isset($_POST['_format_video_embed'])) {
			update_post_meta($post_id, '_format_video_embed', $_POST['_format_video_embed']);
		}
	}


	function render()
	{
		global $post;
		?>
		<div class="cp-elm-block" id="cfpf-format-video-fields">
			<label for="cfpf-format-video-embed"><?php _e('Video Embed Code', 'bd'); ?></label>
			<textarea name="_format_video_embed" id="cfpf-format-video-embed" tabindex="1"><?php echo esc_textarea(get_post_meta($post->ID, '_format_video_embed', true)); ?></textarea>
		</div>		
		<?php
	}

	function add_meta()
	{
		global $post;
		$current_post_type = get_post_type($post->ID);
		if(in_array($current_post_type, $this->types))
			add_action('edit_form_advanced', array(&$this, 'render'));

	}

}
?>