<?php
class BdInbuiltShortcodes{

	function __construct(){

		require_once 'shortcodes.php';
		require_once 'shortcodes-help.php';

		add_action('admin_init', array(&$this, 'admin_init'));
	}

	// --------------------------------------------------------------------------

	/**
	* Registers TinyMCE rich editor buttons
	*
	*/
	function admin_init()
	{
		
		if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
			return;
	
		if ( get_user_option('rich_editing') == 'true' )
		{
			add_filter( 'mce_external_plugins', array(&$this, 'add_rich_plugins') );
			add_filter( 'mce_buttons', array(&$this, 'register_rich_buttons') );
		}
	}

	// --------------------------------------------------------------------------
	
	/**
	* Defines TinyMCE rich editor js plugin
	*
	*/
	function add_rich_plugins( $plugin_array ){
		$plugin_array['BdInbuiltShortcodes'] = BD_FRAMEWORK_URL . 'shortcodes/tinymce/plugin.js';
		return $plugin_array;
	}

	// --------------------------------------------------------------------------
	
	/**
	* Adds TinyMCE rich editor buttons
	*
	*/
	function register_rich_buttons( $buttons ){
		array_push( $buttons, "|", 'bd_separator', 'bd_post_slider', 'bd_jplayer', 'bd_widgetarea' );
		return $buttons;
	}

	// --------------------------------------------------------------------------

	/**
	* Enqueue Admin Script
	*
	*/
	function admin_scripts(){
		wp_localize_script( 'jquery', 'BdInbuiltShortcodes', array('plugin_folder' => BD_FRAMEWORK_URL . 'shortcodes') );
	}

}// end class
$bd_inbuilt_shortcodes = new BdInbuiltShortcodes;
?>