<?php
/*--------------------------------------------------------------------------------------------------------------

	Inbuit Shortcodes for BrutalDesign framework

----------------------------------------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------*/
/*  Filters that allow shortcodes in Text Widgets
/*-----------------------------------------------------------------------------------*/

add_filter('widget_text', 'shortcode_unautop');
add_filter('widget_text', 'do_shortcode');

add_shortcode ('bd_separator', 'bd_separator_shortcode');
function bd_separator_shortcode(){
    return '<hr>';
}

add_shortcode( 'bd_space', 'bd_space_shortcode' );
function bd_space_shortcode( $atts ) {
	extract(shortcode_atts(array(
	      "height" => '10'
	), $atts));
   return '<div style="height:'. $height .'px"></div>';
}

add_shortcode( 'bd_themecolor', 'bd_themecolor_shortcode' );
function bd_themecolor_shortcode($atts, $content = null ) {
   return '<span class="themecolor">' . $content . '</span>';
}


add_shortcode( 'bd_dropcap', 'bd_dropcap_shortcode' );
function bd_dropcap_shortcode( $atts, $content = null ) {
   return '<span class="dropcap">' . $content . '</span>';
}

add_shortcode( 'bd_dropcap_bg', 'bd_dropcap_bg_shortcode' );
function bd_dropcap_bg_shortcode( $atts, $content = null ) {
   return '<span class="dropcap-bg">' . $content . '</span>';
}

add_shortcode( 'bd_pre', 'bd_pre_shortcode' );
function bd_pre_shortcode($atts, $content = null ) {
   return '<pre>' . $content . '</pre>';
}

add_shortcode( 'bd_code', 'bd_code_shortcode' );
function bd_code_shortcode($atts, $content = null ) {
   return '<code>' . $content . '</code><br>';
}

add_shortcode( 'bd_center', 'bd_center_shortcode' );
function bd_center_shortcode($atts, $content = null ) {
   return '<div class="center">' . do_shortcode( $content ) . '</div>';
}

add_shortcode( 'bd_clear', 'bd_clear_shortcode' );
function bd_clear_shortcode($atts, $content = null ) {
   return '<div class="clear"></div>';
}



/**
* jPlayer
*/
add_shortcode ('bd_jplayer', 'bd_jplayer_shortcode');
function bd_jplayer_shortcode($atts){
    global $post;    
    extract(shortcode_atts(array(
	      "mp3" => '',
	      "ogg" => '',
	   ), $atts));
    if(function_exists('bd_jplayer')) return bd_jplayer($post->ID, $mp3, $ogg);
}

/**
* Slider
*/
add_shortcode ('bd_post_slider', 'bd_slider_shortcode');
function bd_slider_shortcode($attr){
    if(function_exists('bd_post_slider')) return bd_post_slider();
}


/**
* Widgetarea
*/
add_shortcode ('bd_widgetarea', 'bd_widgetarea_shortcode' );
function bd_widgetarea_shortcode($attr){
	ob_start();
	dynamic_sidebar($attr['id']);
	$widgetarea = ob_get_contents();
	ob_end_clean();
	return '<div class="widget-row clearfix">'.$widgetarea.'</div>';
}

/**
* Big Tweet
*/
add_shortcode ('bd_bigtweet', 'bd_bigtweet_shortcode');
function bd_bigtweet_shortcode($attr){

$output = '<p>' . sprintf(__('The twitter API has updated to 1.1 version. You have install the twitter plugin <a target="_blank" href="%s">here</a> and use the new shortcode [wolf_tweet username="your_twitter_id"].', 'bd'), 'http://wpwolf.com/plugin/wolf-twitter') . '</p>';
	return $output;
}


/*---------------------------------------------------------------------------------------*/
/*	Twitter functions in case the twitter widget is missing
/*---------------------------------------------------------------------------------------*/

if(!function_exists('bd_twitter_error')):
function bd_twitter_error(){

	$output = '<p>'.__('Sorry, could not load tweets', 'bd');
	if ( is_user_logged_in() )
		$output .= '<br>'.__('Please double check your twitter username', 'bd');

	$output .= '</p>';

	return $output;

}
endif;

/* Get the Twitter XML feed */
if(!function_exists('bd_get_twitter_xml')):
function bd_get_twitter_xml($username){

	$trans_key = 'bd_twitter_'.$username;
	$rss_url = "http://api.twitter.com/1/statuses/user_timeline.rss?screen_name=$username";

	if ( false === ( $cached_xml = get_transient( $trans_key ) ) ){
		if( function_exists('curl_init') ){
			$c = curl_init($rss_url);
			curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($c, CURLOPT_HEADER, 0);
			curl_setopt($c, CURLOPT_TIMEOUT, 10);
			$xml = curl_exec($c);
			curl_close($c);
		} else {
			$xml = file_get_contents($rss_url);
		}
		
		if ($xml){
			set_transient( $trans_key, $xml, BD_CACHE_DURATION ); 
		}
	}else{
		$xml = $cached_xml;
	}
		
	return @simplexml_load_string($xml);	
}     
endif;

/* Display tweets as list or single tweet */
if(!function_exists('bd_twitter')):
function bd_twitter($username, $count = 3, $list = true){
	$tweet ='';

	if( bd_get_twitter_xml($username) ){
		$xml = bd_get_twitter_xml($username);
		if($list==true){
			if($xml->channel->item[0]){
				for ($i=0; $i<$count; $i++){
					if($xml->channel->item[$i]){
						$lasttweet = str_replace($username.':', '', $xml->channel->item[$i]->title);
						$created = $xml->channel->item[$i]->pubDate;
						$tweet_link = $xml->channel->item[$i]->link;
						$tweet .= "<ul class=\"tweet_list\">"; 
						$tweet .= "<li>";
						$tweet .= "<span class=\"tweet_time\"><a href=\"$tweet_link\" target=\"_blank\">".__('about', 'bd')." ".bd_twitter_time_ago($created)."</a></span>";    
						$tweet .= "<span class=\"tweet_text\">".bd_twitter_to_link($lasttweet)."</span>";
						$tweet .= "</li>";
						$tweet .= "</ul>";
					}
				}
			}else{
				$tweet .= bd_twitter_error();
			}
		}else{
			if($xml->channel->item[0]){
				$lasttweet = str_replace($username.':', '', $xml->channel->item[0]->title);
				$created = $xml->channel->item[0]->pubDate;
				$tweet_link = $xml->channel->item[0]->link;
				$tweet .= "<div class=\"bigtweet-content\"><span class=\"tweet_text\">".bd_twitter_to_link($lasttweet)."</span>";
				$tweet .= "<br><span class=\"tweet_time_big\"><a href=\"$tweet_link\" target=\"_blank\">".__('about', 'bd')." ".bd_twitter_time_ago($created)."</a> 
				<span class=\"themecolor\">|</span> <a href=\"http://twitter.com/$username/\" target=\"_blank\">".__('Follow', 'bd')." @$username ".__('on twitter', 'bd')."</a></span></div>"; 
			}else{
				$tweet .= bd_twitter_error();
			}
		}

	}else{
		$tweet .= bd_twitter_error();

	}
	
	return $tweet;
}
endif;


/**
* Find url strings and username strings and make them link
**/
if(!function_exists('bd_twitter_to_link')):
function bd_twitter_to_link($text) {
	// Match URLs
	$text = preg_replace('`\b(([\w-]+://?|www[.])[^\s()<>]+(?:\([\w\d]+\)|([^[:punct:]\s]|/)))`', '<a href="$0" target="_blank">$0</a>', $text);

	// Match @name
	$text = preg_replace('/(@)([a-zA-Z0-9\_]+)/', '<a href="https://twitter.com/$2" target="_blank">@$2</a>', $text);

	// Match #hashtag
	$text = preg_replace('/(#)([a-zA-Z0-9\_]+)/', '<a href="https://twitter.com/search/?q=$2" target="_blank">#$2</a>', $text);
	    return $text;
}
endif;
	    
/**
* Convert the twitter date to "X ago" type
**/       
if(!function_exists('bd_twitter_time_ago')): 
function  bd_twitter_time_ago($date){
	$h         = date("H", strtotime($date));
	$m         = date("i", strtotime($date));
	$s         = date("s", strtotime($date));
	$d         = date("d", strtotime($date));
	$m         = date("m", strtotime($date));
	$y         = date("Y", strtotime($date));
	$timestamp = mktime($h,$m,$s,$m,$d,$y);
	$stf       = 0;
	$cur_time  = time();
	$diff      = $cur_time - $timestamp;
	$phrase = array(__('second', 'bd'),__('minute', 'bd'),__('hour', 'bd'),__('day', 'bd'),__('week', 'bd'),__('month', 'bd'),__('year', 'bd'),__('decade', 'bd'));
	$length = array(1,60,3600,86400,604800,2630880,31570560,315705600);
	for($i =sizeof($length)-1; ($i >=0)&&(($no =  $diff/$length[$i])<=1); $i--); if($i < 0) $i=0; $_time = $cur_time  -($diff%$length[$i]);
	$no = floor($no); if($no <> 1) $phrase[$i] .='s'; $value=sprintf("%d %s ",$no,$phrase[$i]);
	if(($stf == 1)&&($i >= 1)&&(($cur_tm-$_time) > 0)) $value .= time_ago($_time);
	return $value.' '.__('ago', 'bd');
} 
endif;
?>