<?php 
include_once '../wp.php'; 
global $wpdb; 
$bd_sidebars_table = $wpdb->prefix.'bd_sidebars';
$widgetareas = $wpdb->get_results("SELECT * FROM $bd_sidebars_table WHERE type = 'widgetarea' ORDER BY position");
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php _e('Insert a widget area', 'bd'); ?></title>
<link rel="stylesheet" href="<?php echo admin_url('css/wp-admin.css'); ?>">
<link rel="stylesheet" href="<?php echo admin_url('css/colors-fresh.css'); ?>">
<link rel="stylesheet" href="../css/popup.css">
<script type='text/javascript' src="<?php echo includes_url('js/jquery/jquery.js'); ?>"></script>
<script type='text/javascript' src="<?php echo includes_url('js/tinymce/tiny_mce_popup.js'); ?>"></script>
<script type="text/javascript">

var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
	 
		// Try and remove existing style / blockquote
		tinyMCEPopup.execCommand('mceRemoveNode', false, null);
		 
		// set up variables to contain our input values
		var widgetarea = jQuery('#widgetarea').val();
	
		var output = '';
		
		// setup the output of our shortcode
		output = '[bd_widgetarea ';
			output += 'id="' + widgetarea + '"';
			output += ']';

		ed.selection.setContent (output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>
</head>
<body>
<div id="bd-popup-head">
	<h1 style="color:#0d0d0d; margin-bottom:10px; font-family:'Helvetica Neue', Helvetica, Arial, sans-serif;">
		<?php _e('Insert a widget area', 'bd'); ?>
	</h1>
</div>
<div id="bd-popup">
	<form>
		<div class="bd-field">
			<?php if($widgetareas): ?>
			<label><?php _e('Widget area', 'bd'); ?> : </label>
			<select id="widgetarea" name="widgetarea">
				<?php foreach( $widgetareas as $w ): ?>
				<option value="<?php echo $w->wp_id; ?>"><?php echo $w->name; ?></option>
				<?php endforeach; ?>
			</select>
			<?php else: ?>
			<p><?php _e('No widget area created yet.', 'bd'); ?></p>
			<?php endif; ?>
		</div>


		<p class="submit">
			<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed);" class="button-primary">
				<?php _e('Insert in post', 'bd'); ?>
			</a>
		</p>
	</form>
</div>
</body>
</html>