<?php
/**
* Get Sidebar table data
*
**/
global $options, $wpdb;

$bd_sidebars_table = $wpdb->prefix.'bd_sidebars';
$sidebars = $wpdb->get_results("SELECT * FROM $bd_sidebars_table ORDER BY position");


if ( ! function_exists( 'bd_to_slug' ) ) :
function bd_to_slug($string){
    $string=strtolower($string);
    $search = array ('@[éèêëÊË]@i','@[àâäÂÄ]@i','@[îïÎÏ]@i','@[ûùüÛÜ]@i','@[ôöÔÖ]@i','@[ç]@i','@[^a-zA-Z0-9]@');
    $replace = array ('e','a','i','u','o','c','-');
    return preg_replace($search, $replace, $string);
}
endif;


// Re-order Sidebars by drag & drop (jquery-ui sortable)
if(isset($_POST['sortable'])){
	$sortlist = $_POST['sortable'];
	
	/*
	* $k = position
	* $v = id
	*/
	foreach ($sortlist as $k => $v) {
		$wpdb->query("UPDATE $bd_sidebars_table SET position=$k WHERE id = $v");

	}
	
}

	
/**
* Add and edit a sidebar
*
**/
function bd_sidebars_admin_notices($message, $type){
	echo '<div class="wrap"><div class="'.$type.'"><p>'.$message.'</p></div></div>';
}
add_action( 'admin_notices', 'bd_sidebars_admin_notices' );

if(isset($_GET['delete'])){
	//delete from db
	$id = intval($_GET['delete']);
	$wpdb->query("DELETE FROM $bd_sidebars_table WHERE id = $id");
	bd_sidebars_admin_notices(__('Sidebar successfully deleted', 'bd'), 'updated');
	unset($_GET);
}

if( isset($_POST['addnew']) && wp_verify_nonce($_POST['bd_add_sidebar_nonce'],'bd_add_sidebar') ){
	//$id = $_POST['id'];
	$name = $_POST['sidebar_name'];
	$desc = stripslashes($_POST['desc']);
	if( BD_WIDGET_AREA )
		$type = $_POST['type'];
	else
		$type = 'sidebar';

	$wp_id = bd_to_slug($name);

	
	if(!empty($_POST['sidebar_name'])){
		//insert in db
		$data = array('wp_id' => $wp_id, 'name' => $name, 'desc' => $desc, 'type' => $type, 'position' => 0);
		$format = array('%s', '%s', '%s', '%s', '%d');
		$wpdb->insert( $bd_sidebars_table, $data, $format );

		bd_sidebars_admin_notices(__('Sidebar added', 'bd'), 'updated');
	}else{
		bd_sidebars_admin_notices(__('The title can not be empty', 'bd'), 'error');
	}
}

if( isset($_POST['update']) && wp_verify_nonce($_POST['bd_edit_sidebar_nonce'],'bd_edit_sidebar') ){
	$desc = stripslashes($_POST['desc']);
	$id = $_POST['id'];
	$name = $_POST['sidebar_name'];
	if( BD_WIDGET_AREA )
		$type = $_POST['type'];
	else
		$type = 'sidebar';

	//update in db
	$values = array('desc' => $desc, 'type' => $type);
	$conditions = array( 'id' => $id);
	$values_types = array('%s');
	$conditions_types = array('%d');
	$wpdb->update($bd_sidebars_table, $values, $conditions, $values_types, $conditions_types); 

	bd_sidebars_admin_notices(__('Sidebar updated', 'bd'), 'updated');
	
}


/**
* Sidebar panel
*
**/


if(BD_DEBUG){
	echo "Sidebars";
	debug($sidebars);
}
$bd_sidebars_table = $wpdb->prefix.'bd_sidebars';
$sidebars = $wpdb->get_results("SELECT * FROM $bd_sidebars_table ORDER BY position");
?>
<div class="wrap">
	<div id="icon-themes" class="icon32"></div>
	<h2><?php _e('Custom Sidebars', 'bd'); ?></h2>
	<hr>
	<?php if(isset($_GET['edit'])): ?>
	<?php 
	$id = intval($_GET['edit']);
	$sedit =  $wpdb->get_row("SELECT * FROM $bd_sidebars_table WHERE id = $id");

	?>
	<h3><?php _e('Edit Sidebar', 'bd'); ?> : <?php echo $sedit->name; ?></h3>
	<div class="left">
		<form action="<?php echo admin_url(); ?>admin.php?page=bd-sidebars.php" method="post">
			<?php wp_nonce_field('bd_edit_sidebar', 'bd_edit_sidebar_nonce'); ?>
			<label for="Description"><?php _e('Description', 'bd'); ?>: </label>
			<input type="hidden" class="hidden" name="id" value="<?php echo $sedit->id; ?>">
			<input type="hidden" class="hidden" name="sidebar_name" value="<?php echo $sedit->name; ?>">
			<input type="text" class="desc" name="desc" value="<?php echo $sedit->desc; ?>">
			<?php if( BD_WIDGET_AREA ): ?>
				<label for="type"><?php _e('Type', 'bd'); ?>: </label>
				<select name="type">
					<option value="sidebar" <?php if($sedit->type=='sidebar') echo "selected=\"selected\"" ; ?>><?php _e('Sidebar', 'bd'); ?></option>
					<option value="widgetarea" <?php if($sedit->type=='widgetarea') echo "selected=\"selected\"" ; ?>><?php _e('Widgetarea', 'bd'); ?></option>
				</select>
			<?php endif; ?>
			<input type="submit" class="button-primary" onClick="javascript:Show('loader');" name="update" value="<?php _e('Update', 'bd'); ?>">
		</form>
	</div>
	<img id="loader" src="<?php echo admin_url('images/loading.gif'); ?>" alt="loader">
	<div class="clear"></div>
	<p><a href="<?php echo admin_url(); ?>admin.php?page=bd-sidebars.php"><?php _e('back to the main page', 'bd'); ?></a></p>
	<?php else: ?>
	<h3><?php _e('Add a new Sidebar', 'bd'); ?></h3>
	<div class="left">
		<form action="<?php echo admin_url(); ?>admin.php?page=bd-sidebars.php" method="post">
			<?php wp_nonce_field('bd_add_sidebar', 'bd_add_sidebar_nonce'); ?>
			<label for="sidebar_namename"><?php _e('Name', 'bd'); ?>: </label>
			<input type="text" class="name" name="sidebar_name">
			<label for="Description"><?php _e('Description', 'bd'); ?>: </label>
			<input type="text" class="desc" name="desc">
			<?php if( BD_WIDGET_AREA ): ?>
				<label for="type"><?php _e('Type', 'bd'); ?></label>
				<select name="type">
					<option value="sidebar"><?php _e('Sidebar', 'bd'); ?></option>
					<option value="widgetarea"><?php _e('Widgetarea', 'bd'); ?></option>
				</select>
			<?php endif; ?>
			<input type="submit" class="button-primary" onClick="javascript:Show('loader');" name="addnew" value="<?php _e('Add a sidebar', 'bd'); ?>">
		</form>
	</div>
	<img id="loader" src="<?php echo BD_SIDEBARS_PLUGIN_URL; ?>img/loader.gif" alt="loader">
	<div class="clear"></div>
	<?php endif; ?>
	
	<table class="bd-custom-table" >
		<thead>
			<th>#ID <?php if( BD_WIDGET_AREA ) echo " / shortcode"; ?></th>
			<th><?php _e('Name', 'bd'); ?></th>
			<th><?php _e('Description', 'bd'); ?></th>
			<?php if( BD_WIDGET_AREA ): ?>
				<th><?php _e('Type', 'bd'); ?></th>
			<?php endif; ?>
			<th><?php _e('Action', 'bd'); ?></th>
		</thead>
		<tbody  id="sortable">
		<?php if($sidebars): ?>
			<?php foreach($sidebars as $s){ ?>
			<tr class="state-default" id="sortable_<?php echo $s->id; ?>">
			<td><?php if( BD_WIDGET_AREA ){ 
					if ($s->type == 'widgetarea' ) 
						echo '<code>[bd_widgetarea id="'.$s->wp_id.'"]</code>';
					else 	
						echo $s->wp_id; 
				}else{ 
					echo $s->wp_id; 
				} 
			?>
			</td>
			<td>
				<a title="<?php _e('Edit', 'bd'); ?>" href="<?php echo esc_url(admin_url('admin.php?page=bd-sidebars.php&amp;edit='.$s->id)); ?>">
					<?php echo stripslashes($s->name); ?>
				</a>
			</td>
			<td><?php echo stripslashes($s->desc); ?></td>
			<?php if( BD_WIDGET_AREA ): ?>
				<td><?php echo $s->type; ?></td>
			<?php endif; ?>
			<td>
			<a href="<?php echo esc_url(admin_url('admin.php?page=bd-sidebars.php&amp;edit='.$s->id)); ?>"><img  class="hastip" title="<?php _e('Edit', 'bd'); ?>" src="<?php echo BD_SIDEBARS_PLUGIN_URL; ?>img/edit.png" alt="edit"></a>
			<a href="<?php echo esc_url(admin_url('admin.php?page=bd-sidebars.php&amp;delete='.$s->id)); ?>" onclick="if (window.confirm('<?php _e('Are you sure to want to delete this sidebar ?', 'bd'); ?>')) {location.href='default.htm';return true;} else {return false;}">
		<img  class="hastip" title="<?php _e('delete', 'bd'); ?>" src="<?php echo BD_SIDEBARS_PLUGIN_URL; ?>img/delete.png" alt="delete"></a>
			<img  class="action-icon move" title="<?php _e('move', 'bd'); ?>" src="<?php echo BD_FRAMEWORK_URL; ?>img/move.png">
			</td>
			<?php } ?>
		<?php else : ?>
			<td></td><td><?php _e('No custom sidebar yet', 'bd'); ?></td><td></td><td></td>
		<?php endif; ?>
			</tr>
		</tbody>
	</table>
</div>
<script type="text/javascript">
jQuery(function($){
	var fixHelper = function(e, ui) {
	    ui.children().each(function() {
	        $(this).width($(this).width());
	    });
	    return ui;
	};
	$("#sortable").sortable({
		helper: fixHelper,
		placeholder: "state-highlight",
		opacity : 0.6,
		accept : 'state-default',
		update: function(){             
			serial = $("#sortable").sortable("serialize");
			$.ajax({
				url: "<?php echo esc_url(admin_url('admin.php?page=bd-sidebars.php')); ?>",
				type: "post",
				data: serial,
				complete: function(data){console.log(data);}
			});
		}
	});
	$( "#sortable" ).disableSelection();

});
</script>



