<?php
/**
*  Debug function (for developpment)
*/
if(!function_exists('debug')):
function debug($var){
	echo "<br><pre style=\"border: 1px solid #ccc; padding:5px; width:98%\">";
	print_r($var);
	echo "</pre>";
}
endif;


/**
*  Usefull function that check is a file exists before deleting it.
*/
if(!function_exists('bd_delete_file')):
function bd_delete_file($file_path){

	if( is_file( $file_path ) )
		unlink($file_path);

}
endif;


/**
 * Add metatags with Theme and Framework Versions
 * Usefull for support ! 
 */
function bd_add_version_meta()
{
    echo '<meta name="generator" content="' . BD_THEME_NAME . ' ' . BD_THEME_VERSION .'" />' . "\n";
    echo '<meta name="generator" content="BrutalDesign Framework ' .BD_FRAMEWORK_VERSION . '" />' . "\n";
}
add_action('bd_meta_head', 'bd_add_version_meta');


/**
* Generate a thumbnail from an uploaded image
* @param string : filename
* @param string : path to the image
* @param string : image name
* @param int : max width in px
* @param int : max height in px
*/
if(!function_exists(('bd_thumbnail'))):
function bd_thumbnail($img,$path,$name,$mwidth=1140,$mheight=480)
{
    list($imagewidth, $imageheight, $imageType) = getimagesize($img);
    $imageType = image_type_to_mime_type($imageType);
    $dimension=getimagesize($img);

    if($imageType=='image/gif'){
        $source=imagecreatefromgif($img); 
    }elseif( $imageType == 'image/pjpeg' || $imageType == 'image/jpeg' || $imageType == 'image/jpg'){
        $source=imagecreatefromjpeg($img); 
    }elseif( $imageType == 'image/png' || $imageType == 'image/x-png'){
        $source=imagecreatefrompng($img); 
    }       

    $min = imagecreatetruecolor($mwidth,$mheight); 
 
    if($dimension[0]>($mwidth/$mheight)*$dimension[1] ){ 
        $dimY=$mheight; 
        $dimX=$mheight*$dimension[0]/$dimension[1]; 
        $decalX=-($dimX-$mwidth)/2; 
        $decalY=0;
    }
    if($dimension[0]<($mwidth/$mheight)*$dimension[1]){ 
        $dimX=$mwidth; 
        $dimY=$mwidth*$dimension[1]/$dimension[0]; 
        $decalY=-($dimY-$mheight)/2; 
        $decalX=0;
    }
    if($dimension[0]==($mwidth/$mheight)*$dimension[1]){ 
        $dimX=$mwidth; 
        $dimY=$mheight; 
        $decalX=0; 
        $decalY=0;
    }
    

     /* Keep transparency */
     if($imageType=='image/gif' || $imageType == 'image/png' || $imageType == 'image/x-png'){

	imagealphablending($min, false);
	imagesavealpha($min,true);
	$transparent = imagecolorallocatealpha($min, 255, 255, 255, 127);
	imagefilledrectangle($min, 0, 0, $decalX, $decalY, $transparent);
     }


    imagecopyresampled($min,$source,$decalX,$decalY,0,0,$dimX,$dimY,$dimension[0],$dimension[1]);

    if($imageType=='image/gif'){
        imagegif($min,$path.$name); 
    }elseif( $imageType == 'image/pjpeg' || $imageType == 'image/jpeg' || $imageType == 'image/jpg'){
        imagejpeg($min,$path.$name,90); 
    }elseif( $imageType == 'image/png' || $imageType == 'image/x-png'){
        imagepng($min,$path.$name);  
    }

    imagedestroy($source);
    return true;    
}
endif;


/*-----------------------------------------------------------------------------------*/
/*	Thanks to Themezilla for the following functions!
/*-----------------------------------------------------------------------------------*/

/**
* Create a custom hook definitions
* thx to this function from ThemeZilla, we can add custom hook such as "bd_body_start()" to add action in it
*/
/* header.php -----------------------------------------------------------------*/
function bd_meta_head() { bd_do_contextual_hook('bd_meta_head'); }
function bd_head() { bd_do_contextual_hook('bd_head'); }
function bd_body_start() { bd_do_contextual_hook('bd_body_start'); }
function bd_header_before() { bd_do_contextual_hook('bd_header_before'); }
function bd_header_after() { bd_do_contextual_hook('bd_header_after'); }
function bd_header_start() { bd_do_contextual_hook('bd_header_start'); }
function bd_header_end() { bd_do_contextual_hook('bd_header_end'); }
function bd_nav_before() { bd_do_contextual_hook('bd_nav_before'); }
function bd_nav_after() { bd_do_contextual_hook('bd_nav_after'); }
function bd_content_start() { bd_do_contextual_hook('bd_content_start'); }

/* index.php, single.php, search.php, archive.php -----------------------------*/
function bd_post_before() { bd_do_contextual_hook('bd_post_before'); }
function bd_post_after() { bd_do_contextual_hook('bd_post_after'); }
function bd_post_start() { bd_do_contextual_hook('bd_post_start'); }
function bd_post_end() { bd_do_contextual_hook('bd_post_end'); }

/* page.php -------------------------------------------------------------------*/
function bd_page_before() { bd_do_contextual_hook('bd_page_before'); }
function bd_page_after() { bd_do_contextual_hook('bd_page_after'); }
function bd_page_start() { bd_do_contextual_hook('bd_page_start'); }
function bd_page_end() { bd_do_contextual_hook('bd_page_end'); }

/* single.php, page.php, templates with comments ------------------------------*/
function bd_comments_before() { bd_do_contextual_hook('bd_comments_before'); }
function bd_comments_after() { bd_do_contextual_hook('bd_comments_after'); }

/* sidebar.php ----------------------------------------------------------------*/
function bd_sidebar_before() { bd_do_contextual_hook('bd_sidebar_before'); }
function bd_sidebar_after() { bd_do_contextual_hook('bd_sidebar_after'); }
function bd_sidebar_start() { bd_do_contextual_hook('bd_sidebar_start'); }
function bd_sidebar_end() { bd_do_contextual_hook('bd_sidebar_end'); }

/* footer.php -----------------------------------------------------------------*/
function bd_content_end() { bd_do_contextual_hook('bd_content_end'); }
function bd_footer_before() { bd_do_contextual_hook('bd_footer_before'); }
function bd_footer_after() { bd_do_contextual_hook('bd_footer_after'); }
function bd_footer_start() { bd_do_contextual_hook('bd_footer_start'); }
function bd_footer_end() { bd_do_contextual_hook('bd_footer_end'); }
function bd_body_end() { bd_do_contextual_hook('bd_body_end'); }

/**
 * Adds contextual action hooks. Users do not need to use WordPress conditional tags
 * because this function handles the logic.
 * 
 * Basic hook would be 'bd_head'. bd_do_contextual_hook() function extends
 * the hook with context (i.e., 'bd_head_singular' or 'bd_head_home')
 * 
 * Thanks to Ptah Dunbar for this function
 * @link https://twitter.com/ptahdunbar
 * 
 * @uses bd_get_query_context() Gets the context of the current page
 * @param string $tag Usually the location of the hook but defines the base hook
 */
if ( !function_exists( 'bd_do_contextual_hook' ) )
{
    function bd_do_contextual_hook( $tag = '', $args = '' ) {
        if ( !$tag ) { return false; }

            do_action( $tag, $args );

            foreach( (array) bd_get_query_context() as $context ) {
            do_action( "{$tag}_{$context}", $args );
        }
    }
}


/**
 * Retrieve the context of the queried template
 * 
 * @since 0.1
 * @return array $query_context
 */

if ( ! function_exists( 'bd_get_query_context' ) )
{
    function bd_get_query_context() {
        global $wp_query, $query_context;
        
        /* Return query_context if set -------------------------------------------*/
        if ( isset( $query_context->context ) && is_array( $query_context->context ) ) {
            return $query_context->context;
        } 

        if (!is_object($query_context)) {
            $query_context = new stdClass;
        }
        
        /* Figure out the context ------------------------------------------------*/
        $query_context->context = array();
    
        /* Front page */
        if ( is_front_page() ) { 
            $query_context->context[] = 'home'; 
        } 
    
        /* Blog page */
        if ( is_home() && ! is_front_page() ) {
            $query_context->context[] = 'blog';
            
        /* Singular views. */
        } elseif ( is_singular() ) { 

            $query_context->context[] = 'singular';
            $query_context->context[] = "singular-{$wp_query->post->post_type}";
        
            /* Page Templates. */
            if ( is_page_template() ) {
                $to_skip = array( 'page', 'post' );
            
                $page_template = basename( get_page_template() );
                $page_template = str_replace( '.php', '', $page_template );
                $page_template = str_replace( '.', '-', $page_template );
            
                if ( $page_template && ! in_array( $page_template, $to_skip ) ) {
                    $query_context->context[] = $page_template;
                }
            }
            
            $query_context->context[] = "singular-{$wp_query->post->post_type}-{$wp_query->post->ID}";
        }
    
        /* Archive views. */
        elseif ( is_archive() ) {
            $query_context->context[] = 'archive';
    
            /* Taxonomy archives. */
            if ( is_tax() || is_category() || is_tag() ) {
                $term = $wp_query->get_queried_object();
                $query_context->context[] = 'taxonomy';
                $query_context->context[] = $term->taxonomy;
                $query_context->context[] = "{$term->taxonomy}-" . sanitize_html_class( $term->slug, $term->term_id );
            }
    
            /* User/author archives. */
            elseif ( is_author() ) {
                $query_context->context[] = 'user';
                $query_context->context[] = 'user-' . sanitize_html_class( get_the_author_meta( 'user_nicename', get_query_var( 'author' ) ), $wp_query->get_queried_object_id() );
            }
    
            /* Time/Date archives. */
            else {
                if ( is_date() ) {
                    $query_context->context[] = 'date';
                    if ( is_year() )
                        $query_context->context[] = 'year';
                    if ( is_month() )
                        $query_context->context[] = 'month';
                    if ( get_query_var( 'w' ) )
                        $query_context->context[] = 'week';
                    if ( is_day() )
                        $query_context->context[] = 'day';
                }
                if ( is_time() ) {
                    $query_context->context[] = 'time';
                    if ( get_query_var( 'hour' ) )
                        $query_context->context[] = 'hour';
                    if ( get_query_var( 'minute' ) )
                        $query_context->context[] = 'minute';
                }
            }
        }
    
        /* Search results. */
        elseif ( is_search() ) {
            $query_context->context[] = 'search';
            
        /* Error 404 pages. */
        } elseif ( is_404() ) {
            $query_context->context[] = 'error-404';
        }
        
        return $query_context->context;
    } 
}

/**
 * Add browser detection and post name to body class
 * Add post title to body class on single pages
 *
 * @link http://www.wprecipes.com/wordpress-hack-automatically-add-post-name-to-the-body-class
 * @param array $classes The current body classes
 * @return array The new body classes
 */
if ( !function_exists( 'bd_browser_body_class' ) )
{
    function bd_body_classes($classes) {
        // Add our browser class
        global $is_lynx, $is_gecko, $is_IE, $is_opera, $is_NS4, $is_safari, $is_chrome, $is_iphone;
    
        if($is_lynx) $classes[] = 'lynx';
        elseif($is_gecko) $classes[] = 'gecko';
        elseif($is_opera) $classes[] = 'opera';
        elseif($is_NS4) $classes[] = 'ns4';
        elseif($is_safari) $classes[] = 'safari';
        elseif($is_chrome) $classes[] = 'chrome';
        elseif($is_IE){ 
            $classes[] = 'ie';
            if(preg_match('/MSIE ([0-9]+)([a-zA-Z0-9.]+)/', $_SERVER['HTTP_USER_AGENT'], $browser_version)) $classes[] = 'ie'.$browser_version[1];
        } else $classes[] = 'unknown';
    
        if($is_iphone) $classes[] = 'iphone';
        
        // Add the post title
        if( is_singular() ) {
            global $post;
            array_push( $classes, "{$post->post_type}-{$post->post_name}" );
        }
        
        array_push( $classes, "bd" );
        
        return $classes;
    }
}
add_filter('body_class','bd_body_classes');