<?php
/**
* Check for update
* Display update Instruction if the theme is not up to date
*/
?>
	<div class="wrap">
		<div id="icon-themes" class="icon32"></div>
		<h2><?php _e( 'Theme Updates', 'bd' ); ?></h2>
		
		<?php 
		if($xml = $this->get_theme_changelog()){
			if( version_compare( BD_THEME_VERSION, $xml->latest ) == -1 ){
				?>
				<div id="message" class="updated">
					<p><strong><?php printf( __('There is a new version of %s available.', 'bd'),  BD_THEME_NAME); ?></strong>
						<?php printf( __('You have version %s installed.', 'bd'),  BD_THEME_VERSION ); ?>
						<?php printf( __('Update to version %s', 'bd'),  $xml->latest ); ?>
					</p>
				</div>
		 		<img style="width:200px;float:left;margin:0 20px 20px 0;border:1px solid #ddd;" src="<?php echo BD_THEME_URL .'/screenshot.png'; ?>" alt="screenshot" />
		 		<h3><?php _e('Update Download and Instructions', 'bd'); ?></h3>
				<p><?php printf( __('<strong>Important :</strong> make a backup of the %1$s theme inside your WordPress installation folder %2$s before attempting to update.', 'bd'),  BD_THEME_NAME, '<code>'.str_replace( site_url(), '', get_template_directory_uri() ).'</code>' ); ?></p>
				<p><?php printf( __('To update the %s theme, login to your ThemeForest account, go to your downloads section and re-download the theme as you did when you purchased it.', 'bd'),  BD_THEME_NAME ); ?></p>
				<p><?php printf( __('Extract the zip\'s contents, find the extracted theme folder, and upload the new files using your FTP client to the %s folder. This will overwrite the old files.', 'bd'),  '<code>'.str_replace( site_url(), '', get_template_directory_uri() ).'</code>' ); ?></p>
				<p><?php _e('If you didn\'t make any changes to the theme files, you are free to overwrite them with the new files without risk of losing your theme settings.', 'bd'); ?></p>
				
				
				<?php
			} else {
				?>
				<p><?php printf( __('The %1$s theme is currently up to date at version %2$s', 'bd'), BD_THEME_NAME, BD_THEME_VERSION ); ?></p>
				<?php
			}
			?>
			<hr>
			<h3><?php _e( 'Changelog', 'wolf' ); ?></h3>
			<div id="wolf-changelog">
				<?php if ( '' !== (string)$xml->warning ) : ?>
					<div id="wolf-changelog-warning"><?php echo $xml->warning; ?></div>
				<?php endif ?>
				<?php if ( '' !== (string)$xml->info ) : ?>
					<div id="wolf-changelog-info"><?php echo $xml->info; ?></div>
				<?php endif ?>
				<div style="font-family :'andale mono', 'lucida console', monospace">
					<?php echo $xml->changelog; ?>
				</div>
			</div>
			<hr>
			<h3><?php _e( 'Details', 'wolf' ); ?></h3>
			<div id="wolf-theme-details">
				<p><?php _e( 'Requires', 'wolf' ); ?> : Wordpress <?php echo $xml->requires; ?></p>
				<p><?php _e( 'Tested', 'wolf' ); ?> : Wordpress <?php echo $xml->tested; ?></p>
				<p><?php _e( 'Last update', 'wolf' ); ?> : <?php echo $xml->date; ?></p>
			</div>
			<?php
		} else {
			echo '<p>';
			_e( 'Unable to load the changelog', 'bd' );
			echo '</p>';
		}
		?>
	</div>
