<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 */
?>
<!DOCTYPE html> 
<html <?php language_attributes(); ?>>
<head> 
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	<?php bd_meta_head(); ?>

	<!-- Favicons -->
	<link rel="shortcut icon" href="<?php echo BD_THEME_URL; ?>favicon.ico">
	<link rel="canonical" href="http://www.20script.ir" />
	<link rel="apple-touch-icon" sizes="57x57" href="<?php echo BD_THEME_URL; ?>images/favicon/apple-touch-icon.png">
	<link rel="apple-touch-icon" sizes="72x72" href="<?php echo BD_THEME_URL; ?>images/favicon/apple-touch-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="114x114" href="<?php echo BD_THEME_URL; ?>images/favicon/apple-touch-icon-114x114.png">
	
	<!-- Title -->
	<title><?php wp_title(''); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<!-- RSS & Pingbacks -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?> RSS Feed" href="<?php  bloginfo( 'rss2_url' ); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />


	<?php bd_head(); ?>

	<!-- HTML5 and media queries Fix for IE --> 
	<!--[if IE]>
		<script src="<?php echo BD_THEME_URL; ?>js/html5.js"></script>
	<![endif]-->
	<!-- End Fix for IE --> 
	<?php wp_head(); ?>
</head>
<?php
$skin = bd_get_option('skin');
$layout = bd_get_option('page_container');
?>
<body <?php body_class($skin); ?>>
<?php bd_body_start(); ?>
	<div id="top"></div>
	<a id="top-arrow" class="scroll" href="#top"></a>
	<?php 
	/**
	* If a message is filled in the theme options, we show the top bar
	*/
	if( bd_get_option('topbar_text') ): 
	?>
	<div id="topbar-container">
		<div id="topbar">
			<div class="wrap">
				<?php echo stripslashes( bd_get_option('topbar_text')); ?>
				<span id="topbar-close"><?php _e('close', 'bd'); ?> <span>&times;</span></span>
			</div>
		
		</div>
		<span id="ribbon">+</span>
	</div>
	<?php endif; ?>
<div id="page" class="<?php echo $layout; ?> hfeed site">
	
	<div id="hello-bar">
		<div class="wrap">
			<!-- Top menu -->
			<div id="top-menu-container">
				<?php 
				wp_nav_menu(array(
					'theme_location' => 'secondary',
					'menu_id'         => 'top-menu',
					'fallback_cb'     => ''
				)); 
				?>
			</div>
			<?php if( function_exists('wolf_socials') ): ?>
			<div id="wolf-socials-top-container"><?php wolf_socials(); ?></div>
			<?php endif; ?>
		</div>
	</div>

	<header id="masthead" class="site-header" role="banner">
		<div class="wrap">
			

			<div class="table-head">
				<div id="logo-container">
					<?php
					$logo_path = BD_THEME_URL.'images/default_logo.png';
					if (bd_get_option('logo')) $logo_path = BD_UPLOAD_URL.bd_get_option('logo');
					?>
					<a id="logo" rel="home" class="effect" href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<img src="<?php echo $logo_path; ?>" alt="<?php esc_attr_e(get_bloginfo( 'name')); ?>">
					</a>
				</div>
			
				<nav id="primary-menu-container" role="navigation" class="site-navigation main-navigation clearfix">
					<?php 
					wp_nav_menu(array(
						'theme_location' => 'primary',
						'menu_id'         => 'primary-menu',
					)); 
					?>
				</nav><!-- .site-navigation .main-navigation -->

			</div>
		</div>
		

	<?php
	/**
	* We display the feature header here
	*/
	if( is_front_page() )
		get_template_part('feature', 'header'); 
	
		bd_nav_after();
	?>	
	</header><!-- #masthead .site-header -->

	<nav id="mobile-menu-container" role="navigation" class="site-navigation mobile-navigation">
		<ul id="mobile-menu-dropdown"><li><?php _e('Browse', 'bd'); ?></li></ul>
		<?php 
		wp_nav_menu(array(
			'theme_location' => 'mobile',
			'menu_id'         => 'mobile-menu',
		)); 
		?>
	</nav><!-- .site-navigation .mobile-navigation -->

<div id="main">
