<?php
/*
* Create Default pages
*/
$default_pages = array(

	'Home' => array(
		'title' => 'Home',
		'content' => '<h3 style="text-align: center;">Welcome to Music Pro Wordpress theme!</h3>
		[bd_separator]

		[wolf_col_3 class=alpha]
		<h4>Create the menus</h4>
		You can start by creating the menus in your admin panel
		[/wolf_col_3]

		[wolf_col_3]
		<h4>Your homepage</h4>
		Choose your home page style in the theme options
		[/wolf_col_3]

		[wolf_col_3]
		<h4>Check the doc</h4>
		Check out the documentation to learn how to manage your website
		[/wolf_col_3]

		[wolf_col_3 class=omega]
		<h4>Go</h4>
		Start uploading and posting!
		[/wolf_col_3]',
		'template' => 'template-home-fullwidth.php',

	),

	'Blog' => array(
		'title' => 'Blog',
		'content' => '',
		'template' => '',
		'meta' => array(
			'_subheading' => 'Latest news and updates'
		)
	),

	'Discography' => array(
		'title' => 'Discography',
		'content' => '',
		'template' => 'template-discography.php',
		'meta' => array(
			'_subheading' => 'Our releases'
		)
	),

	'Store' => array(
		'title' => 'Store',
		'content' => '',
		'template' => 'template-store.php',
		'meta' => array(
			'_subheading' => 'Our merch'
		)
	),


	'Albums' => array(
		'title' => 'Albums',
		'content' => '',
		'template' => 'template-galleries.php',
	),

	'Shows' => array(
		'title' => 'Shows',
		'content' => '',
		'template' => 'template-shows.php',
		'meta' => array(
			'_subheading' => 'See us live!'
		)
	),

	'Contact' => array(
		'title' => 'Contact',
		'content' => '<p>For booking or any other informations, feel free to contact us.</p>',
		'template' => 'template-contact.php',
		'meta' => array(
			'_subheading' => 'Get in touch'
		)
	),
);

$hello_check = get_page_by_title('Sample Page');
if(isset($hello_check->ID)){
	wp_delete_post($hello_check->ID);
}

foreach($default_pages as $page):
	$page_check = get_page_by_title($page['title']);
	$insert = array(
		'post_type' => 'page',
		'post_title' => $page['title'],
		'post_content' => $page['content'],
		'post_status' => 'publish',
		'post_author' => 1,
	);
	if(!isset($page_check->ID)){
		$post_id = wp_insert_post($insert);
		if(isset($page['template'])){
			update_post_meta($post_id, '_wp_page_template', $page['template']);
		}
		if( isset($page['meta']) ){
			foreach($page['meta'] as $id => $value){
				update_post_meta($post_id, $id, $value);
			}
		}
	}
endforeach;
?>