<?php
class BdCarouFredselShow{

	function __construct(){
		add_action('wp_print_styles', array( &$this, 'print_styles') );
		add_action('wp_enqueue_scripts', array( &$this, 'enqueue_scripts') );
	}

	// --------------------------------------------------------------------------

	function print_styles(){

		wp_register_style('caroufredsel', BD_CAROUFREDSEL_URL.'css/caroufredsel.css', array(), '3.1', 'all');
		
		if( is_front_page() ){
			if( bd_get_option('header') == 'caroufredsel' ){
				wp_enqueue_style('caroufredsel');
			}
		}
	}

	// --------------------------------------------------------------------------

	function enqueue_scripts(){

		wp_register_script('easing', BD_CAROUFREDSEL_URL.'js/jquery.easing.1.3.js', 'jquery', '1.3', true);
		wp_register_script('touchwipe', BD_CAROUFREDSEL_URL.'js/jquery.touchwipe.min.js', 'jquery', '1.1.1', true);
		wp_register_script('caroufredsel', BD_CAROUFREDSEL_URL.'js/jquery.carouFredSel-5.5.5-packed.js', 'jquery', '5.5.5', true);
		wp_register_script('caroufredsel-custom', BD_CAROUFREDSEL_URL.'js/jquery.carouFredSel.custom.js', 'jquery', '1.0', true);
		
		if( is_front_page() ){
			if( bd_get_option('header') == 'caroufredsel' ){
				wp_enqueue_script('easing');
				wp_enqueue_script('touchwipe');
				wp_enqueue_script('caroufredsel');
				wp_enqueue_script('caroufredsel-custom');
			}
		}
			
	}


	// --------------------------------------------------------------------------

	function show()
	{
		global $wpdb, $options;

		if(!defined('ICL_LANGUAGE_CODE'))
			define('ICL_LANGUAGE_CODE', 'en');

		$sliders_tbl = $wpdb->prefix.'bd_caroufredsel';
	    	$slides = $wpdb->get_results("SELECT * FROM $sliders_tbl WHERE language_code='".ICL_LANGUAGE_CODE."' ORDER BY position");
	    	$o = get_option('bd_caroufredsel_settings');

		$output ='<div id="carousel-container">';

		if($o['screen'] == 'true' )
			$output .='<span class="screen"></span>';
		
		if($o['shadow'] == 'true' )
			$output .='<span id="hw-shadow-top"></span><span id="hw-shadow-bottom"></span>';
		
		$output .='<div id="carousel">';
		if ($slides){
			$i = 0;
			foreach ( $slides as $slide ) {
				$i++;

				$output .='<div>';
				if($slide->link){
					$output .='<a href="'.esc_url($slide->link).'">';
				}
				
				$output .='<img src="'.BD_CAROUFREDSEL_FILES_URL.'slides/'.$slide->img.'" alt="slider-'.$i.'">';
				
				if($slide->link){
					$output .= '</a>';
				}
				if($slide->name){
					$h5style = null;
					if(!$slide->caption) $h5style = ' style="bottom:0"';
					$output .= '<h5 class="caption"'.$h5style.'>'.stripslashes($slide->name).'</h5>';
				}
				if($slide->caption){
					$output .= '<p class="caption">'.stripslashes($slide->caption).'</p>';
				}
				$output .='</div>';
			}
		}
		$output .='</div><div class="clear"></div>
			<div class="fredsel-nav">
				<a class="cf-prev" href="#"><span>prev</span></a>
				<a class="cf-next" href="#"><span>next</span></a>
			</div>
			<div class="pagination"></div></div>';
		echo $output;
	}

} // end class

global $bd_show_caroufredsel;
$bd_show_caroufredsel = new BdCarouFredselShow;

function bd_caroufredsel(){

	global $bd_show_caroufredsel;
	$bd_show_caroufredsel->show();

}


// --------------------------------------------------------------------------


function bd_caroufredsel_ajax_data(){
	global $wpdb, $options;
	$data = array();
	
	$sliders_tbl = $wpdb->prefix.'bd_caroufredsel';
    	$slides = $wpdb->get_results("SELECT * FROM $sliders_tbl ORDER BY position");
	
	$data['count'] = count($slides);

	$o = get_option('bd_caroufredsel_settings');
	
	if( $o && is_array($o) && $o!=array() ){
		foreach($o as $k => $v){
			
			if( $v == 'true' || $v == 'false' ){
				$v = ($v == 'true') ? true: false;
			}

			elseif( is_numeric($v) ){
				$v = intval($v);
			}

			$data[$k] = $v;
		}
	}

	echo json_encode($data);
	exit;
}
add_action('wp_ajax_bd_caroufredsel_ajax_data', 'bd_caroufredsel_ajax_data');
add_action('wp_ajax_nopriv_bd_caroufredsel_ajax_data', 'bd_caroufredsel_ajax_data');
?>