<?php
/*--------------------------------------------------------------------------------------------------------------

	Plugin Name: Bd caroufredsel Plugin
	Plugin URI: http://themes.brutaldesign.com
	Description: Manage your image and display a responsive slider in your theme (in-buit plugin)
	Version: 1.1.1
	Author: BrutalDesign
	Author URI: http://themes.brutaldesign.com

----------------------------------------------------------------------------------------------------------------*/

class BdCarouFredSel {


	function __construct(){
		define('BD_CAROUFREDSEL_URL', BD_FEATURES_URL.basename(dirname(__FILE__)).'/');
		define('BD_CAROUFREDSEL_DIR', dirname(__FILE__) );
		
		/* Files upload dir and URL*/
		define('BD_CAROUFREDSEL_FILES_DIR', BD_THEME_UPLOAD_DIR .'/bd-caroufredsel');
		define('BD_CAROUFREDSEL_FILES_URL',  BD_THEME_UPLOAD_URL . 'bd-caroufredsel/');
	
		if(function_exists('bd_create_folder')){
			
			bd_create_folder(BD_CAROUFREDSEL_FILES_DIR);
			bd_create_folder(BD_CAROUFREDSEL_FILES_DIR.'/slides');

		}else{

			bd_admin_notices( __('Unable to find bd_create_folder function.', 'bd'), 'error' );
		}

		add_action('init', array(&$this, 'options_init') );
		add_action('after_setup_theme',  array(&$this, 'caroufredsel_show') );

		add_action('admin_init', array(&$this, 'create_table') );
		add_action('admin_init', array(&$this, 'admin_init'));

		add_action('admin_menu', array(&$this, 'menu_init'));

		add_action('admin_print_styles', array(&$this, 'admin_styles'));
		add_action('admin_enqueue_scripts', array(&$this, 'admin_script'));

	}

	// --------------------------------------------------------------------------

	/**
	* Create caroufredsel Table
	*/
	function create_table()
	{
		global $wpdb;
		$slider_tbl ="CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}bd_caroufredsel` (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `img` varchar(255) NOT NULL,
		  `name` varchar(255) NULL,
		  `link` text NULL,
		  `caption` text NULL,
		  `position` int(11) NOT NULL DEFAULT 0,
		  `coordinates` varchar(255) NULL,
		  `language_code` varchar(7) NOT NULL DEFAULT 'en',
		  PRIMARY KEY (`id`)
		);";
		$wpdb->query($slider_tbl);

	}

	// --------------------------------------------------------------------------


	function admin_styles()
	{
		if(isset( $_GET['page'] ) ){
			
			$page = $_GET['page'];
			
			if( $page == 'bd-caroufredsel-panel' || $page == 'bd-caroufredsel.php' ){

				wp_enqueue_style('bd-caroufredsel-admin', BD_CAROUFREDSEL_URL.'css/bd-admin.css', array(), '0.1', 'all');
				wp_enqueue_style('imagareaselect', BD_CAROUFREDSEL_URL.'css/imgareaselect/imgareaselect-animated.css', array(), '0.9.8', 'all');
			}
		}
	}

	// --------------------------------------------------------------------------

	function admin_script()
	{
		if( isset( $_GET['page'] ) ){
			$page = $_GET['page'];
			
			$page = $_GET['page'];
			
			if( $page == 'bd-caroufredsel-panel' || $page == 'bd-caroufredsel.php' ){

				wp_enqueue_script( 'imagareaselect', BD_CAROUFREDSEL_URL.'js/jquery.imgareaselect.pack.js', 'jquery', '0.9.8', true );
				
				if( !wp_script_is( 'jquery-ui-sortable' ) )
					wp_enqueue_script( 'jquery-ui-sortable' );
			}
		}
	}

	// --------------------------------------------------------------------------

	function menu_init()
	{
		// Add Contextual menu
		add_menu_page('CaroufredSel Slider', 'CaroufredSel Slider', 'administrator', basename(__FILE__), array(&$this, 'caroufredsel_panel'), '');
		add_submenu_page(basename(__FILE__),'','','administrator',basename(__FILE__),array(&$this, 'caroufredsel_panel'));
		add_submenu_page(basename(__FILE__), 'Images', 'Images', 'administrator', 'bd-caroufredsel-panel',  array(&$this, 'caroufredsel_panel') );
		add_submenu_page(basename(__FILE__),  'CaroufredSel Slider Options', 'Options', 'administrator', 'bd-caroufredsel-settings', array(&$this, 'caroufredsel_settings'));

	}


	// --------------------------------------------------------------------------

	function admin_init()
	{
		register_setting( 'bd-caroufredsel-settings', 'bd_caroufredsel_settings', array(&$this, 'settings_validate') );
		add_settings_section( 'bd-caroufredsel-settings', '', array(&$this, 'section_intro'), 'bd-caroufredsel-settings' );
		//add_settings_field( 'width', __( 'Width', 'bd' ), array(&$this, 'setting_width'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'height', __( 'Height', 'bd' ), array(&$this, 'setting_height'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'effect', __( 'Transition effect', 'bd' ), array(&$this, 'setting_effect'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'slide_direction', __( 'Slide direction (if effect is "slide" of "cover")', 'bd' ), array(&$this, 'setting_slide_direction'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'easing', __( 'Transition easing', 'bd' ), array(&$this, 'setting_easing'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'pausetime', __( 'Time between animation in milisecond', 'bd' ), array(&$this, 'setting_pausetime'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'duration', __( 'Slide transition speed', 'bd' ), array(&$this, 'setting_duration'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'autoplay', __( 'Autoplay', 'bd' ), array(&$this, 'setting_autoplay'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'infinite', __( 'Infinte', 'bd' ), array(&$this, 'setting_infinite'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'direction', __( 'Navigation arrows', 'bd' ), array(&$this, 'setting_direction'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'control', __( 'Navigation bullets', 'bd' ), array(&$this, 'setting_control'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'pausehover', __( 'Stop animation while the mouse is on the slide', 'bd' ), array(&$this, 'setting_pausehover'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'captioneffect', __( 'Enable caption transition effect', 'bd' ), array(&$this, 'setting_captioneffect'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'circular', __( 'Circular', 'bd' ), array(&$this, 'setting_circular'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'shadow', __( 'Bottom and top shadows', 'bd' ), array(&$this, 'setting_shadow'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
		add_settings_field( 'screen', __( 'Screen effect', 'bd' ), array(&$this, 'setting_screen'), 'bd-caroufredsel-settings', 'bd-caroufredsel-settings' );
	}

	// --------------------------------------------------------------------------

	function options_init()
	{
		global $options;

		if ( false === get_option('bd_caroufredsel_settings') ) {

			$default = array(
				'width' => 1920,
				'height' => 350,
				'effect' => 'scroll',
				'easing' => 'easeOutQuint',
				'pausetime' => 3500,
				'duration' => 1000,
				'autoplay' => 'true',
				'infinite' => 'true',
				'circular' => 'false',
				'direction' => 'true',
				'control' => 'true',
				'pausehover' => 'true',
				'captioneffect' => 'true',
				'slide_direction' => 'right',
				'shadow' => 'true',
				'screen' => 'true',
			);

			add_option( 'bd_caroufredsel_settings', $default );
		}
	}

	// --------------------------------------------------------------------------

	function section_intro()
	{
		// global $options;
		// debug(get_option('bd_caroufredsel_settings'));
	}

	// --------------------------------------------------------------------------

	function settings_validate($input)
	{
		$input['height'] = intval( $input['height'] );
		$input['duration'] = intval( $input['duration'] );
		$input['pausetime'] = intval( $input['pausetime'] );

		return $input;
	}

	// --------------------------------------------------------------------------

	function setting_width()
	{
		?>
		<select name="bd_caroufredsel_settings[width]">
			<option value="1920" <?php if($this->get_caroufredsel_option('width') == 1920) echo 'selected="selected"' ?>><?php _e('Full Width', 'bd'); ?></option>
			<option value="1140" <?php if($this->get_caroufredsel_option('width') == 1140) echo 'selected="selected"' ?>><?php _e('Wrapped', 'bd'); ?></option>
		</select>
		<?php
	}

	// --------------------------------------------------------------------------

	function setting_height()
	{
		
		echo '<input type="text" name="bd_caroufredsel_settings[height]" class="regular-text" value="'. $this->get_caroufredsel_option('height') .'" />';
	}

	// --------------------------------------------------------------------------

	function setting_effect()
	{	$effects = array('scroll', 'crossfade', 'cover');
		?>
		<select name="bd_caroufredsel_settings[effect]">
			<?php foreach($effects as $e): ?>
			<option value="<?php echo $e; ?>" <?php if($this->get_caroufredsel_option('effect') == $e) echo 'selected="selected"' ?>><?php echo $e; ?></option>
			<?php endforeach; ?>
		</select>
		<?php
	}

	// --------------------------------------------------------------------------

	function setting_easing()
	{
		$easings = array('linear', 'swing', 'easeInQuad', 'easeOutQuad', 'easeInOutQuad', 'easeInCubic', 'easeOutCubic', 'easeInOutCubic',
			'easeInQuart', 'easeOutQuart', 'easeInOutQuart', 'easeInQuint', 'easeOutQuint', 'easeInOutQuint', 'easeInExpo', 'easeOutExpo', 'easeInOutExpo',
			'easeInSine', 'easeOutSine', 'easeInOutSine', 'easeInCirc', 'easeOutCirc', 'easeInOutCirc', 'easeInElastic', 'easeOutElastic', 'easeInOutElastic',
			'easeInBack', 'easeOutBack', 'easeInOutBack', 'easeInBounce', 'easeOutBounce', 'easeInOutBounce'
		);
		
		?>
		<select name="bd_caroufredsel_settings[easing]">
			<?php foreach($easings as $e): ?>
			<option value="<?php echo $e; ?>" <?php if($this->get_caroufredsel_option('easing') == $e) echo 'selected="selected"' ?>><?php echo $e; ?></option>
			<?php endforeach; ?>
		</select>
		<p class="description"><?php _e('See the list off effects here', 'bd'); ?> : <a target="_blank" href="http://jqueryui.com/demos/effect/easing.html">http://jqueryui.com/demos/effect/easing.html</a></p>
		<?php

	}

	// --------------------------------------------------------------------------

	function setting_slide_direction()
	{
		?>
		<select name="bd_caroufredsel_settings[slide_direction]">
			<option value="right" <?php if($this->get_caroufredsel_option('slide_direction') == 'right') echo 'selected="selected"' ?>>Horizontal</option>
			<option value="up" <?php if($this->get_caroufredsel_option('slide_direction') == 'up') echo 'selected="selected"' ?>>Vertical</option>
		</select>
		<?php
	}

	// --------------------------------------------------------------------------


	function setting_pausetime()
	{
		
		echo '<input type="text" name="bd_caroufredsel_settings[pausetime]" class="regular-text" value="'. $this->get_caroufredsel_option('pausetime') .'" />';
	}

	// --------------------------------------------------------------------------

	function setting_duration()
	{
		
		echo '<input type="text" name="bd_caroufredsel_settings[duration]" class="regular-text" value="'. $this->get_caroufredsel_option('duration') .'" />';
	}

	// --------------------------------------------------------------------------


	function setting_autoplay()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[autoplay]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[autoplay]" value="true"'. (($this->get_caroufredsel_option('autoplay') == 'true') ? ' checked="checked"' : '') .' /></label><br>';
	}

	// --------------------------------------------------------------------------


	function setting_direction()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[direction]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[direction]" value="true"'. (($this->get_caroufredsel_option('direction') == 'true') ? ' checked="checked"' : '') .' /></label><br>';
	}

	// --------------------------------------------------------------------------

	function setting_control()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[control]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[control]" value="true"'. (($this->get_caroufredsel_option('control') == 'true') ? ' checked="checked"' : '') .' /></label><br>';
	}

	// --------------------------------------------------------------------------

	function setting_pausehover()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[pausehover]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[pausehover]" value="true"'. (($this->get_caroufredsel_option('pausehover') == 'true') ? ' checked="checked"' : '') .' />';
		?>
		<?php _e('If autoplay is enabled', 'bd'); ?></label><br>
		<?php
	}

	// --------------------------------------------------------------------------

	function setting_infinite()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[infinite]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[infinite]" value="true"'. (($this->get_caroufredsel_option('infinite') == 'true') ? ' checked="checked"' : '') .' />';
		?>
		<?php _e('The slider enqueue the first item after reaching the last one', 'bd'); ?></label><br>
		<?php
		
	}

	// --------------------------------------------------------------------------

	function setting_circular()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[circular]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[circular]" value="true"'. (($this->get_caroufredsel_option('circular') == 'true') ? ' checked="checked"' : '') .' />';
		?>
		<?php _e('The slider will scroll always in the same direction', 'bd'); ?></label><br>
		<?php
		
	}

	// --------------------------------------------------------------------------

	function setting_captioneffect()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[captioneffect]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[captioneffect]" value="true"'. (($this->get_caroufredsel_option('captioneffect') == 'true') ? ' checked="checked"' : '') .' /></label><br>';
	}

	// --------------------------------------------------------------------------

	function setting_shadow()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[shadow]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[shadow]" value="true"'. (($this->get_caroufredsel_option('shadow') == 'true') ? ' checked="checked"' : '') .' /></label><br>';
	}

	// --------------------------------------------------------------------------

	function setting_screen()
	{
		echo '<input type="hidden" name="bd_caroufredsel_settings[screen]" value="false" />
		<label><input type="checkbox" name="bd_caroufredsel_settings[screen]" value="true"'. (($this->get_caroufredsel_option('screen') == 'true') ? ' checked="checked"' : '') .' /></label><br>';
	}

	// --------------------------------------------------------------------------


	function caroufredsel_settings()
	{
		?>
		<div class="wrap">
			<div id="icon-themes" class="icon32"></div>
			<h2><?php _e('carouFredsel Settings', 'bd'); ?></h2>
			<form action="options.php" method="post">
				<?php settings_fields( 'bd-caroufredsel-settings' ); ?>
				<?php do_settings_sections( 'bd-caroufredsel-settings' ); ?>
				<p class="submit"><input name="save" type="submit" class="button-primary" value="<?php _e( 'Save Changes', 'bd' ); ?>" /></p>
			</form>
			<p style="margin-top:20px"><?php _e('Visit the official carouFredsel Website', 'bd'); ?>:<br>
				<a target="_blank" href="http://caroufredsel.frebsite.nl/">http://caroufredsel.frebsite.nl/</a></p>
		</div>
		<?php
	}

	function get_caroufredsel_option($value = null)
	{
		global $options;

		$bd_caroufredsel_settings = get_option('bd_caroufredsel_settings');
		
		if( isset($bd_caroufredsel_settings[$value]) )
			return $bd_caroufredsel_settings[$value];
		else
			return null;
	}

	// --------------------------------------------------------------------------

	function caroufredsel_panel()
	{
		include_once BD_CAROUFREDSEL_DIR . '/bd-caroufredsel-panel.php';
	}

	// --------------------------------------------------------------------------

	function caroufredsel_show()
	{
		include_once BD_CAROUFREDSEL_DIR . '/bd-caroufredsel-show.php';
	}


} // end class
$bd_caroufredsel = new BdCarouFredSel;
?>