/*-----------------------------------------------------------------------------------*/
/*
/*	CarouFreSel Custom Script v1.0
/*	
/*-----------------------------------------------------------------------------------*/

jQuery(function($) {
	

	var carousel = $('#carousel');

	carousel.addClass('caroufredsel');

/*-----------------------------------------------------------------------------------*/
/*	Retrieve settings from WP options & caroufredsel table
/*-----------------------------------------------------------------------------------*/

	var data = $.ajax({
		// BdAjax object is defined in include/theme-script.php
		url: BdAjax.ajaxurl,
		data: { action :  'bd_caroufredsel_ajax_data' } ,
		dataType: 'json',
		async: false,
		success: function(obj){
			//console.log(obj);
		},
		error : function(){
			// handle
		}

    	 }).responseText;

	//console.log(data);

	if(data == 0){
		carousel.hide();
		alert( 'Sorry, Couln\'t load carousel settings.' );
		return false;
	}
	
	var obj = $.parseJSON(data);


	/* Variables
	------------------------------------*/

	var container = $('.caroufredsel').parent().parent();
	
	var title = $('.caroufredsel div h5.caption');
	var caption = $('.caroufredsel div p.caption');

	var Control = obj.control;
	var Direction = obj.direction;

	var imageCount = obj.count;
	var maxWidth = obj.width;
	var maxHeight = obj.height;

	var scrollEffect = obj.effect;
	var slideDirection = obj.slide_direction
	var autoPlay = obj.autoplay;
	var pauseHover = obj.pausehover;
	var isInfinite = obj.infinite;
	var isCircular = obj.circular;
	var captionEffect = obj.captioneffect;

	var effectDuration = obj.duration;
	var pauseTime = obj.pausetime;
	var delay = effectDuration/6;
	
	var easingCaption = 'easeOutExpo';
	var easingSlider = obj.easing;
	

	/* Functions
	------------------------------------*/

	function getHeight(){
		var width= container.width();
		var newHeight = (maxHeight*width)/maxWidth;
		newHeight = Math.floor(newHeight);
		return newHeight;
	}

	function getArrowsPos(){
		if( slideDirection == 'right' ){
			var height = getHeight();
			var halfArrowHeight = $('a.cf-prev').height()/2;
			var newTop = (height/2)-halfArrowHeight;
			return newTop;
		}else{
			var width = container.width();
			var halfArrowWidth = $('a.cf-prev').width()/2;
			var newLeft = (width/2)-halfArrowWidth;
			return newLeft;
		}	
	}

	function effectBefore(effectDuration){
		if(captionEffect == true){
			title.animate({ opacity : 0 }, 200);
			caption.animate({ opacity : 0 }, 200);
			title.delay(200).animate({ left : -1000 });
			caption.delay(200).animate({  left : -1000 });
		}
	}

	function effectAfter(effectDuration){
		if(captionEffect == true){
			delay =  Math.floor(delay);
			title.stop().delay(delay).animate({ opacity : 1, left : 0 }, delay, easingCaption);
			caption.stop().delay(2*delay).animate({ opacity : 1, left : 0 }, delay, easingCaption);
		}
	}

	if( scrollEffect == 'crossfade' ){

		$('.caroufredsel div').css({ 'float' : 'none'});

	}

	if( slideDirection == 'up' ){
		$('.caroufredsel div').css({ 'float' : 'none'});
		$('.fredsel-nav').addClass('vertical');
		$('a.cf-prev, a.cf-next').css({ left : getArrowsPos() });
		
	}else{
		$('.fredsel-nav').addClass('horizontal');
		$('a.cf-prev, a.cf-next').css({ top : getArrowsPos() });
	}

	if( Control == false ){
		$('.pagination').addClass('disabled');
	}

	if( Direction == false ){
		$('a.cf-prev, a.cf-next').addClass('disabled');
	}
	
	

/*-----------------------------------------------------------------------------------*/
/*	Carousel function
/*-----------------------------------------------------------------------------------*/

	$.fn.carouFredSel.defaults.items.visible    = 1; // defatul number item to scroll

	carousel.carouFredSel({
		onCreate    : null,
		width : container.width(),
		height : getHeight(),
		align : false,
		circular : isCircular,
		infinite : isInfinite,
		direction : slideDirection,
		
		items: {
			width: 'variable',
			height: 'variable'
		},
		auto : {
			play : autoPlay,
			pauseDuration : pauseTime
		},
		scroll : {
			queue : true,
			wipe : true,
			fx  : scrollEffect,
			
			easing : easingSlider,
			duration : effectDuration,
			pauseOnHover : pauseHover,

			onBefore: function() {

				if(scrollEffect == 'scroll'){
					effectBefore(effectDuration);
				}

			},
			onAfter: function() {

				if(scrollEffect == 'scroll'){
					effectAfter(effectDuration);
				}

			},


		},
		
		prev: {
			button : ".fredsel-nav a.cf-prev",
			key : "left"
		},

		next: {
			button : ".fredsel-nav a.cf-next",
			key : "right"
		},

		pagination: "div.pagination"

	});

	/* Window resize function
	------------------------------------*/
	$(window).resize(function() {
		var newCss = {
			width: container.width(),
			height: getHeight()
		};
		$('.caroufredsel').css( 'width', newCss.width*imageCount );
		$('.caroufredsel').parent().css( newCss );
		$('.caroufredsel div').css( newCss );
		
		if( slideDirection == 'up' ){
			$('a.cf-prev, a.cf-next').css({ left : getArrowsPos() });
		
		}else{
			$('a.cf-prev, a.cf-next').css({ top : getArrowsPos() });
		}
	}).resize();

/*-------------------------------*/
}); // end document ready


/*-----------------------------------------------------------------------------------*/
/*	Page load function
/*-----------------------------------------------------------------------------------*/

jQuery(window).load(function(){

	jQuery('.caroufredsel').parent().parent().css("background","none");
	// jQuery(".caroufredsel div:first-child").find("img").css({"opacity": 1});
	
	var title = jQuery('.caroufredsel div h5.caption');
	var caption = jQuery('.caroufredsel div p.caption');
	var delay = 150;

	title.delay(delay).animate({ opacity : 1, left : 0 }, 300);
	caption.delay(2*delay).animate({ opacity : 1, left : 0 }, 300);
});
