<?php
/*-----------------------------------------------------------------------------------*/
/*  Playlists
/*-----------------------------------------------------------------------------------*/

function bd_playlist_form($id = null)
{
	global $wpdb;
	$bd_jplayer_playlists_table = $wpdb->prefix.'bd_jplayer_playlists';

	$name = null;
	$logo = null;
	$submit_value = __('Create', 'bd');
	$autoplay = null;

	if( $id != null ){
		$id = intval($id);
		$playlist = $wpdb->get_row("SELECT * FROM $bd_jplayer_playlists_table WHERE id = '$id'");
		$name = $playlist->name;
		$autoplay = $playlist->autoplay;
		$logo = $playlist->logo;
		$submit_value = __('Save changes', 'bd');
	}
?>
<?php if( $id == null ): ?>
	<h3><?php _e('Create a new playlist', 'bd'); ?></h3>
	<p><em><?php _e('Fields marked with * are required', 'bd'); ?></em></p>
<?php else: ?>
	<h3><?php _e('Update your playlist name', 'bd'); ?></h3>
<?php endif; ?>
	<?php if($id && $logo): ?>
	<script type="text/javascript">
		jQuery(function($){
			$('#reset-logo').click(function(){
				$('#logo_reset').val('delete');
				alert('<?php _e('Your logo will be removed after saving the changes. Your playlist will not have any logo.', 'bd'); ?>');
				return false;
			});
		});

	</script>
	<?php endif; ?>
	<form id="jp-form" action="<?php echo esc_url(admin_url('admin.php?page=bd-jplayer-panel')); ?>" method="post" enctype="multipart/form-data">
		
		<p>
			<label for="playlist_name"><?php _e('Playlist name', 'bd'); ?>* : </label>
			<input type="text" name="playlist_name" value="<?php echo $name; ?>">
		</p>
		<p>
			<label for="logo"><?php _e('Logo', 'bd'); ?> (120px X 50px) : </label>
			<input type="file" name="logo">
			<?php if($id && $logo): ?>
			<a id="reset-logo" href=""><?php _e('reset logo', 'bd'); ?></a>
			<?php endif; ?>
			<input type="hidden" name="logo_reset" value="">
		<p>
			<label for="playlist_name"><?php _e('Autoplay', 'bd'); ?> : </label>
			<input type="checkbox" name="autoplay" <?php echo ($autoplay) ? 'checked="checked"' : '' ?>>
		</p>
			<input type="hidden" name="playlist_name_id" value="<?php echo $id; ?>">
		<p>
			<input onClick="javascript:Show('loader');" type="submit" class="button-primary" name="manage_playlist" value="<?php echo $submit_value; ?>">
		</p>
		<div id="loader">
			<img style="display:inline-block; vertical-align:middle; margin-right:5px" src="<?php echo esc_url(admin_url('images/loading.gif')); ?>" alt="loader">
			<?php _e('Uploading, please wait.', 'bd') ; ?>
		</div>
		<div class="clear"></div>
		
	</form>

	<div class="clear"></div>

<?php
}


function bd_manage_playlist( $id = null )
{	
	global $wpdb;
	$bd_jplayer_playlists_table = $wpdb->prefix.'bd_jplayer_playlists';
	$max_img_upload_size = 2*1000*1000;

	$playlist = null;
	$errors = array();
	$error = false;
	$submit_logo = false;
	$autoplay = null;
	$logo_name = null;
	
	if($id){
		$id = intval($id);
		$playlist = $wpdb->get_row("SELECT * FROM $bd_jplayer_playlists_table WHERE id = '$id'");
	}

	if(isset($_POST['autoplay']))
		$autoplay = sanitize_title($_POST['autoplay']);

	if(empty($_POST['playlist_name'])){

		$errors[] = __('The playlist name can not be empty.', 'bd');
		$error = true;

	}else{

		$name = sanitize_text_field($_POST['playlist_name']);
	}

	if( !empty($_FILES['logo']['name']) ){

		if($playlist && $id){
			bd_delete_file( BD_JPLAYER_FILES_DIR . '/logos/' .$playlist->logo );
		}

		$tmp_logo = $_FILES['logo']['tmp_name'];
		$raw_logo_name = $_FILES['logo']['name'];
		$logo_name = wp_unique_filename(BD_JPLAYER_FILES_DIR . '/logos', $raw_logo_name);

		if(strpos($_FILES['logo']['type'], 'image') === false){

			$errors[] = '<strong>'.$raw_logo_name.'</strong> '. __('is not an image file. Only jpg, png and gif are allowed.', 'bd');
			$error = true;

		}elseif($_FILES['logo']['size'] > $max_img_upload_size){
			
			$errors[] = __('The file is too big... To be optimized for the web, it must be under', 'bd') . $max_img_upload_size/1000 .'Mo';
			$error = true;
			
		}else{
			$submit_logo = true;
		}

	}

	if( $error && $errors != array() ){

		foreach($errors as $e){
			bd_admin_notices( $e, 'error' );
		}

	/* If no errors
	----------------------------------------------*/
	}else{

		if( $errors == array() ){

			if( $submit_logo )
				move_uploaded_file($tmp_logo,  BD_JPLAYER_FILES_DIR.'/logos/'.$logo_name);

			if( !$id ){
				$data = array(
					'name' => $name,
					'logo' => $logo_name,
					'autoplay' => $autoplay
				);
				$format = array('%s');
				$wpdb->insert( $bd_jplayer_playlists_table, $data, $format );
				$confirm = __('Your playlist has been created succesfully.', 'bd');
			}

			elseif( $id ){
				if( $_POST['logo_reset'] == 'delete'){
					$logo_name = '';
					bd_delete_file( BD_JPLAYER_FILES_DIR . '/logos/' .$logo_name );
				}
				$data = array(
					'name' => $name,
					'logo' => $logo_name,
					'autoplay' => $autoplay
				);
				$format = array('%s');
				$conditions = array( 'id' => $id);
				$wpdb->update($bd_jplayer_playlists_table, $data, $conditions, $format, array('%d')); 
				$confirm = __('Your playlist has been updated.', 'bd');
			}

			
			bd_admin_notices( $confirm, 'updated' );
		
		}else{

			bd_admin_notices( __('Unknow error occured, please try again later', 'bd'), 'error' );

		}
	}

}

function bd_delete_playlist($id = null)
{
	$songs = array();
	if( $id ){
		$id = intval($id);
		
		global $wpdb;
		$bd_jplayer_playlists_table = $wpdb->prefix.'bd_jplayer_playlists';
		$bd_jplayer_table = $wpdb->prefix.'bd_jplayer';
	
		$playlist = $wpdb->get_row("SELECT * FROM $bd_jplayer_playlists_table WHERE id = $id");
		$songs = $wpdb->get_results("SELECT * FROM $bd_jplayer_table WHERE playlist_id = $id");

		if( $playlist ){

			if( $songs ){
				foreach( $songs as $s ){

					bd_delete_file( BD_JPLAYER_FILES_DIR . '/mp3/' .$s->mp3 );
					bd_delete_file( BD_JPLAYER_FILES_DIR . '/ogg/' .$s->ogg );
					bd_delete_file( BD_JPLAYER_FILES_DIR . '/poster/' .$s->poster );	

				}
			}

			bd_delete_file( BD_JPLAYER_FILES_DIR . '/logos/' .$playlist->logo );

			$wpdb->query("DELETE FROM $bd_jplayer_table WHERE playlist_id = $id");
			$wpdb->query("DELETE FROM $bd_jplayer_playlists_table WHERE id = $id");

			bd_admin_notices( __('Playlist deleted', 'bd'), 'updated' );

		}else{

			bd_admin_notices( __('The playlist you are trying to delete does not exist.', 'bd'), 'error' );

		}

	} // end if id

}


/*-----------------------------------------------------------------------------------*/
/*  Songs
/*-----------------------------------------------------------------------------------*/


function bd_song_form($playlist_id = null , $song_id = null)
{
	global $wpdb;
	$bd_jplayer_playlists_table = $wpdb->prefix.'bd_jplayer_playlists';
	$bd_jplayer_table = $wpdb->prefix.'bd_jplayer';

	$playlist = $wpdb->get_row("SELECT * FROM $bd_jplayer_playlists_table WHERE id = '$playlist_id'");

	$song_name = null;
	$artist = null;
	$poster = null;
	$itunes = null;
	$amazon = null;
	$buy  = null;
	$free = null;
	$submit_value = __('Upload', 'bd');

	if( $song_id != null ){
		$song_id = intval($song_id);
		$song = $wpdb->get_row("SELECT * FROM $bd_jplayer_table WHERE id = '$song_id' AND playlist_id = '$playlist_id'");
		$song_name = $song->name;
		$ogg = $song->ogg;
		$artist = $song->artist;
		$poster = $song->poster;
		$itunes  = $song->itunes;
		$amazon  = $song->amazon;
		$buy  = $song->buy;
		$free = $song->free;
		$submit_value = __('Save changes', 'bd');
	}
?>
<?php if( $song_id == null ): ?>
	<h3><?php printf( __('Upload a new song in "%s" playlist', 'bd'),  $playlist->name ); ?></h3>
	<p><em><?php _e('Fields marked with * are required', 'bd'); ?></em></p>
<?php else: ?>
	<h3><?php _e('Update your song', 'bd'); ?></h3>
<?php endif; ?>
	<?php if($song_id && $poster): ?>
	<script type="text/javascript">
		jQuery(function($){
			$('#reset_artwork').click(function(){
				$('#reset_artwork').parent('div').hide();
				$('#poster_reset').val('delete');

				return false;
			});
		});

	</script>
	<?php endif; ?>
	<form style="float:left; margin:0 20px 20px 0" id="jp-form" action="<?php echo esc_url(admin_url('admin.php?page=bd-jplayer-panel&amp;playlist_id=' . $playlist_id)); ?>" method="post" enctype="multipart/form-data">
			<p>
				<label for="song_name"><?php _e('Song title', 'bd'); ?> * : </label>
				<input type="text" name="song_name" value="<?php echo stripslashes($song_name); ?>">
			</p>
			<p>
				<label for="artist"><?php _e('Artist', 'bd'); ?> : </label>
				<input type="text" name="artist" value="<?php echo $artist; ?>">
			</p>
			<?php if( $song_id == null ): ?>
			<p>
				<label for="mp3"><?php _e('mp3 file', 'bd'); ?> * : </label>
				<input type="file" name="mp3">
			</p>
			<?php endif; ?>
			<p>
				<label for="ogg"><?php _e('ogg file', 'bd'); ?> : </label>
				<input type="file" name="ogg">
			</p>
			<p>
				<label for="poster"><?php _e('Cover file', 'bd'); ?> : </label>
				<input type="file" name="poster">
				<input type="hidden" id="poster_reset" name="poster_reset" value="">
			</p>

			<p>
				<label for="itunes"><?php _e('Itunes URL', 'bd'); ?> : </label>
				<input type="text" name="itunes" value="<?php echo $itunes; ?>">
			</p>

			<p>
				<label for="amazon"><?php _e('Amazon URL', 'bd'); ?> : </label>
				<input type="text" name="amazon" value="<?php echo $amazon; ?>">
			</p>
			
			<p>
				<label for="buy"><?php _e('Other "buy" URL', 'bd'); ?> : </label>
				<input type="text" name="buy" value="<?php echo $buy; ?>">
			</p>
			<p>
				<label for="free"><?php _e('Free download', 'bd'); ?> : </label>
				<input type="checkbox" name="free" <?php echo ($free) ? 'checked="checked"' : '' ?>>
			</p>
			
			<input type="hidden" name="playlist_id" value="<?php echo $playlist_id; ?>">
			<input type="hidden" name="song_id" value="<?php echo $song_id; ?>">
			<p>
				<input onClick="javascript:Show('loader');" type="submit" class="button-primary" name="manage_song" value="<?php echo $submit_value; ?>">
			</p>
			<div id="loader">
				<img style="display:inline-block; vertical-align:middle; margin-right:5px" src="<?php echo esc_url(admin_url('images/loading.gif')); ?>" alt="loader">
				<?php _e('Uploading, please wait. It may take a while.', 'bd') ; ?>
			</div>
			<div class="clear"></div>
	</form>
	<?php if($song_id && $poster): ?>	
	<div style="float:left; margin-top:100px;">
		<img src="<?php echo BD_JPLAYER_FILES_URL .'posters/'.$poster; ?>" alt=""><br>
		<a href="#" id="reset_artwork"><?php _e('reset poster', 'bd'); ?></a>
	</div>
	<?php endif; ?>
	<div class="clear"></div>

<?php if( $song_id ): ?>
	<p><a class="button" href="<?php echo esc_url(admin_url('admin.php?page=bd-jplayer-panel&amp;playlist_id=' . $playlist_id)); ?>"><?php _e('back to the "add a song" form', 'bd'); ?></a></p>

<?php else: ?>
	<p><a class="button" href="<?php echo esc_url(admin_url('admin.php?page=bd-jplayer-panel')); ?>"><?php _e('back to the playlist manager', 'bd'); ?></a></p>

<?php endif; ?>


<?php
}


function bd_delete_song($id = null)
{
	if( $id ){
		$id = intval($id);
		global $wpdb;
		$bd_jplayer_table = $wpdb->prefix.'bd_jplayer';

		$s = $wpdb->get_row("SELECT * FROM $bd_jplayer_table WHERE id = $id");

		//debug($s);

		if($s){

			bd_delete_file( BD_JPLAYER_FILES_DIR . '/mp3/' .$s->mp3 );
			bd_delete_file( BD_JPLAYER_FILES_DIR . '/ogg/' .$s->ogg );
			bd_delete_file( BD_JPLAYER_FILES_DIR . '/posters/' .$s->poster );
		}

		$wpdb->query("DELETE FROM $bd_jplayer_table WHERE id = $id");
		bd_admin_notices( __('Song deleted', 'bd'), 'updated' );

	}
}


function bd_manage_song( $playlist_id = 0, $song_id = null  )
{
	global $wpdb;
	$bd_jplayer_table = $wpdb->prefix.'bd_jplayer';

	$s = null;
	$artist = $_POST['artist'];
	$itunes = esc_url($_POST['itunes']);
	$amazon = esc_url($_POST['amazon']);
	$buy = esc_url($_POST['buy']);
	$free = null;
	$ogg_name = null;
	$poster_name = null;

	if( $song_id ){
		$s = $wpdb->get_row("SELECT * FROM $bd_jplayer_table WHERE id = '$song_id'");
		$ogg_name = $s->ogg;
		$poster_name = $s->poster;
	}

	$errors = array();
	$error = false;
	$submit_ogg = false;
	$submit_poster = false;
	$max_song_upload_size = ini_get('upload_max_filesize') * 1000*1000;
	$max_img_upload_size = 2*1000*1000;

	/* Text fields
	-----------------------------------*/

	if( empty( $_POST['song_name'] ) && !$song_id ){
			
		$errors[] =  __('Song title can not be empty.', 'bd');
		$error = true;

	}else {

		$name = $_POST['song_name'];

	}

	if(isset($_POST['free']))
		$free = sanitize_title($_POST['free']);

	/* mp3 upload
	-----------------------------------*/

	

	if( !$song_id ){

		$tmp_mp3 = $_FILES['mp3']['tmp_name'];
		$raw_mp3_name = $_FILES['mp3']['name'];
		$mp3_ext = pathinfo($raw_mp3_name, PATHINFO_EXTENSION);
		$mp3_name = wp_unique_filename(BD_JPLAYER_FILES_DIR . '/mp3', $raw_mp3_name);

		if( empty($_FILES['mp3']['name']) ){
			$errors[] = __('Please select an mp3 file to upload.', 'bd');
			$error = true;

		}elseif( $mp3_ext != 'mp3' ){

			$errors[] = '<strong>'.$raw_mp3_name.'</strong> '. __('is not an mp3 file.', 'bd');
			$error = true;
		
		}elseif($_FILES['mp3']['size'] > $max_song_upload_size){
			
			$errors[] = __('The file is too big for your server. Your server upload max size is', 'bd') . $max_song_upload_size/1000 .'Mo';
			$error = true;
		}
	}

	/* ogg upload
	-----------------------------------*/

	if( !empty($_FILES['ogg']['name']) ){

		if($s && $song_id){
			bd_delete_file( BD_JPLAYER_FILES_DIR . '/ogg/' .$s->ogg );
		}



		$tmp_ogg = $_FILES['ogg']['tmp_name'];
		$raw_ogg_name = $_FILES['ogg']['name'];
		$ogg_ext = pathinfo($raw_ogg_name, PATHINFO_EXTENSION);
		$ogg_name = wp_unique_filename(BD_JPLAYER_FILES_DIR . '/ogg', $raw_ogg_name);

		if( $ogg_ext != 'ogg' ){

			$errors[] = '<strong>'.$raw_ogg_name.'</strong> '. __('is not an ogg file.', 'bd');
			$error = true;
		
		}elseif($_FILES['ogg']['size'] > $max_song_upload_size){
			
			$errors[] = __('The file is too big... It must be under', 'bd') . $max_song_upload_size/1000 .'Mo';
			$error = true;
		}else{
			$submit_ogg = true;
		}

	}


	/* image upload
	-----------------------------------*/

	if( !empty($_FILES['poster']['name']) ){

		if($s && $song_id){
			bd_delete_file( BD_JPLAYER_FILES_DIR . '/posters/' .$s->poster );
		}

		$tmp_poster = $_FILES['poster']['tmp_name'];
		$raw_poster_name = $_FILES['poster']['name'];
		$poster_name = wp_unique_filename(BD_JPLAYER_FILES_DIR . '/posters', $raw_poster_name);

		if(strpos($_FILES['poster']['type'], 'image') === false){

			$errors[] = '<strong>'.$raw_poster_name.'</strong> '. __('is not an image file. Only jpg, png and gif are allowed.', 'bd');
			$error = true;

		}elseif($_FILES['poster']['size'] > $max_img_upload_size){
			
			$errors[] = __('The file is too big... To be optimized for the web, it must be under', 'bd') . $max_img_upload_size/1000 .'Mo';
			$error = true;
		}else{
			$submit_poster = true;
		}

	}

	

	if( $error && $errors != array() ){

		foreach($errors as $e){
			bd_admin_notices( $e, 'error' );
		}

	/* If no errors
	----------------------------------------------*/
	}else{

		//debug($_POST);




		/* Upload and insert data in WPDB
		----------------------------------------------*/

		if( $errors == array() ){

			if( !$song_id )
				move_uploaded_file($tmp_mp3,  BD_JPLAYER_FILES_DIR.'/mp3/'.$mp3_name);

			if( $submit_ogg )
				move_uploaded_file($tmp_ogg,  BD_JPLAYER_FILES_DIR.'/ogg/'.$ogg_name);

			if( $submit_poster )
				bd_thumbnail($tmp_poster, BD_JPLAYER_FILES_DIR.'/posters/', $poster_name, 80, 80);

			if( !$song_id ){
				$data = array(
					'name' => $name,
					'mp3' => $mp3_name, 
					'ogg' => $ogg_name,
					'poster' => $poster_name,
					'artist' => $artist,
					'itunes' => $itunes,
					'amazon' => $amazon,
					'buy' => $buy,
					'free' => $free,
					'position' => 0,
					'playlist_id' => $playlist_id
				);
				$format = array('%s', '%s', '%s','%s','%s','%s', '%s', '%s','%s','%d', '%d');
				
				if($wpdb->insert( $bd_jplayer_table, $data, $format )){
					$notice_type = 'updated';
					$confirm = __('Your song has been added to your playlist.', 'bd');
				}else{
					bd_delete_file( BD_JPLAYER_FILES_DIR . '/mp3/' .$mp3_name );
					bd_delete_file( BD_JPLAYER_FILES_DIR . '/ogg/' .$ogg_name );
					bd_delete_file( BD_JPLAYER_FILES_DIR . '/posters/' .$poster_name );
					$notice_type = 'error';
					$confirm = __('Your song could not be added to your database.', 'bd');
				}

			}

			elseif( $song_id ){

				/* Reset poster */
				if( $_POST['poster_reset'] == 'delete'){
					$poster_name = '';
					bd_delete_file( BD_JPLAYER_FILES_DIR . '/posters/' .$poster_name );
				}

				$data = array(
					'name' => $name,
					'ogg' => $ogg_name,
					'poster' => $poster_name,
					'artist' => $artist,
					'itunes' => $itunes,
					'amazon' => $amazon,
					'buy' => $buy,
					'free' => $free
				);
				$format = array('%s');
				$conditions = array( 'id' => $song_id);
				
				$wpdb->update($bd_jplayer_table, $data, $conditions, $format, array('%d'));

				$notice_type = 'updated';
				$confirm = __('Your song has been updated.', 'bd');
				

				
			}

			
			bd_admin_notices( $confirm, $notice_type );

			//debug($_POST);

		}else{

			bd_admin_notices( __('Unknow error occured, please try again later', 'bd'), 'error' );

		}
	}
}
?>