<?php
class BdNivoSliderShow{

	function __construct(){
		add_action('wp_print_styles', array( &$this, 'print_styles') );
		add_action('wp_enqueue_scripts', array( &$this, 'enqueue_scripts') );
		add_action('wp_head', array( &$this, 'border_style') );
	}

	// --------------------------------------------------------------------------

	function print_styles(){

		wp_register_style('nivo-slider', BD_NIVOSLIDER_URL.'css/nivo-slider.css', array(), '3.1', 'all');
		wp_register_style('nivo-slider-custom', BD_NIVOSLIDER_URL.'css/nivo-slider-custom.css', array(), '0.1', 'all');
		
		if( is_front_page() ){
			if( bd_get_option('header') == 'nivoslider' ){
				wp_enqueue_style('nivo-slider');
				wp_enqueue_style('nivo-slider-custom');
			}
		}
	}

	// --------------------------------------------------------------------------

	function enqueue_scripts(){

		wp_register_script('nivoslider', BD_NIVOSLIDER_URL.'js/jquery.nivo.slider.pack.js', 'jquery', '3.1', true);
		
		if( is_front_page() ){
			if( bd_get_option('header') == 'nivoslider' ){
				wp_enqueue_script('nivoslider');
			}
		}
			
	}

	// --------------------------------------------------------------------------

	function border_style()
	{
		global $options;
		$o = get_option('bd_nivoslider_settings');
		$border_color = '#181818';

		if( !empty($o['border_color']) )
			$border_color = $o['border_color'];
		
		if( is_front_page() ){
			if( bd_get_option('header') == 'nivoslider' ){
		?>
		<style type="text/css">
			#nivoslider {
			  border: <?php echo $o['border']; ?>px solid <?php echo $border_color; ?>;
			  -moz-border-radius: <?php echo $o['border_radius']; ?>px;
			  -webkit-border-radius: <?php echo $o['border_radius']; ?>px;
			  -o-border-radius: <?php echo $o['border_radius']; ?>px;
			  -ms-border-radius: <?php echo $o['border_radius']; ?>px;
			  -khtml-border-radius: <?php echo $o['border_radius']; ?>px;
			  border-radius: <?php echo $o['border_radius']; ?>px;
			  <?php if( !empty($o['shadow_color']) ): ?>
			  -moz-box-shadow: 0px 3px 5px 0px <?php echo $o['shadow_color']; ?>;
			-webkit-box-shadow: 0px 3px 5px 0px <?php echo $o['shadow_color']; ?>;
			-o-box-shadow: 0px 3px 5px 0px <?php echo $o['shadow_color']; ?>;
			box-shadow: 0px 3px 5px 0px <?php echo $o['shadow_color']; ?>;
			filter:progid:DXImageTransform.Microsoft.Shadow(color=<?php echo $o['shadow_color']; ?>, Direction=180, Strength=5);
			<?php endif; ?>
			<?php if( $o['navigation'] == 'false' ): ?>
			margin-bottom:30px;
			<?php endif; ?>
			}
		</style>
		<?php
			}
		}
	}

	// --------------------------------------------------------------------------

	function show()
	{
		global $wpdb, $options;

		if(!defined('ICL_LANGUAGE_CODE'))
			define('ICL_LANGUAGE_CODE', 'en');

		$sliders_tbl = $wpdb->prefix.'bd_nivoslider';
	    	$slides = $wpdb->get_results("SELECT * FROM $sliders_tbl WHERE language_code='".ICL_LANGUAGE_CODE."' ORDER BY position");
	    	$o = get_option('bd_nivoslider_settings');
	    	$i = 0;
	    	$output = '';
	    	if($slides):
		?>
		<script type="text/javascript">
			jQuery(window).load(function() {
			        jQuery('#nivoslider').nivoSlider({
			        	effect: '<?php echo $o['effect']; ?>',
			        	pauseOnHover: <?php echo $o['hover']; ?>, // Stop animation while hovering
			        	animSpeed: <?php echo $o['transition_duration']; ?>, // Slide transition speed
        				pauseTime: <?php echo $o['delay']; ?>, // How long each slide will show
        				controlNav: <?php echo $o['navigation']; ?>, // 1,2,3... navigation
        				directionNav: <?php echo $o['arrows']; ?>, // Next & Prev navigation
        				manualAdvance: <?php echo $o['manual']; ?>, // Force manual transitions
        				randomStart: <?php echo $o['random']; ?> // Start on a random slide
			        });
			});
		</script>
		<?php
			$output .= '<div class="slider-wrapper theme-dark"><div id="nivoslider" class="nivoSlider">';

			foreach($slides as $slide){

				$i++;
				if($slide->link)
					$output .='<a href="'.esc_url($slide->link).'">';

				
				$output .='<img src="'.BD_NIVOSLIDER_FILES_URL.'slides/'.$slide->img.'" alt="' . esc_attr($slide->name) .'"';
				if($slide->caption || $slide->name)
					$output .= ' title="#caption-'.$i.'">';
				else
					$output .= '>';
				

				if($slide->link)
					$output .='</a>';	

			}

			$output .= '</div>'; // #slider
			
			$i=0;
			foreach($slides as $slide){
				$i++;
				if($slide->caption || $slide->name){
					$output .='<div id="caption-'.$i.'" class="nivo-html-caption">';
						            
					if($slide->name)
						$output .='<h6>'.stripslashes($slide->name).'</h6>';
					
					if($slide->caption)
						$output .= stripslashes($slide->caption);
					
					$output .='</div>';
				}
			}

			$output .= '</div>'; 
		endif; //if slides
		
		echo $output;
	}

} // end class

global $bd_show_nivoslider;
$bd_show_nivoslider = new BdNivoSliderShow;

function bd_nivoslider(){

	global $bd_show_nivoslider;
	$bd_show_nivoslider->show();

}
?>