<?php
/**
* Set your language here
*/

// uncomment the line below to make the bd_set_lang function active
// Replace the languague code by your own
// The .po and .mo files can be found in the languages/ folder

// add_filter( 'locale', 'bd_set_lang' );
function bd_set_lang( $locale )
{
	return 'fr_FR';
}

/**
* Exclude video" & "gallery" from the post types
* Because the portfolio and galleries don't have a sidebar
* We will use this function for the custom sidebars feature
**/
function bd_post_types_sidebars()
{
	global $BD_theme;
	$tab = $BD_theme['post-types'];
	unset($tab['gallery']);
	unset($tab['video']);
	return $tab;
}

/* *
* Get the URL of the shows Page
*/
function bd_get_shows_url()
{
	$pages = get_pages(array(
	    'meta_key' => '_wp_page_template',
	    'meta_value' => 'template-shows.php'
	));
	if($pages && isset($pages[0]))
		return get_permalink($pages[0]->ID);
}


/* *
* Get the URL of the albums Page
*/
function bd_get_gallery_url()
{
	$pages = get_pages(array(
	    'meta_key' => '_wp_page_template',
	    'meta_value' => 'template-galleries.php'
	));
	if($pages && isset($pages[0]))
		return get_permalink($pages[0]->ID);
}

function bd_search_form( $type = null )
{
	if( !bd_get_option('disable_header_searchform')){
		global $post;
		$post_type = get_post_type($post->ID);
		
		if(isset($_GET['post_type']) && $type == null ){
			$search_type = sanitize_title($_GET['post_type']);
			get_template_part('searchform',  $search_type);
		
		}elseif( $type != null ){

			get_template_part('searchform',  $type);
		
		}else{
			if( $post_type == 'post' || $post_type == 'review' )
				get_template_part('searchform',  $post_type);
		}
	}
}

function bd_print_title(){
	global $post, $wp_query;

	if ( have_posts() ):
		/* Main condition (not home and not 404) */
		if( !bd_is_page('home') && !bd_is_page('home-fullwidth') && 
		!bd_is_page('home-blog') && !is_404() ):

		?><div class="wrap" id="intro"><?php
		/* page and not home */
		if ( is_page() &&!bd_is_page('reviews') ) {
		?>
		<h1 class="page-title"><?php the_title(); ?></h1>
		<span class="tagline"><?php echo get_post_meta($post->ID, '_subheading', true); ?></span>
		<?php
		} elseif ( is_category() ) {
			?>
			<div class="left">
				<h1 class="page-title"><?php
				printf( __( 'Category : %s', 'bd' ), '<span>' . single_cat_title( '', false ) . '</span>' );
				?></h1><span class="tagline"><?php echo category_description(); ?></span>
			</div>
			<div class="right"><?php bd_search_form('post'); ?></div>
			<?php
		} elseif ( is_tag() ) {
			?>
			<div class="left">
				<h1 class="page-title">
				<?php
				printf( __( 'Tag  : %s', 'bd' ), '<span>' . single_tag_title( '', false ) . '</span>' );
				?></h1><span class="tagline"><?php echo category_description(); ?></span>
			</div>
			<div class="right"><?php bd_search_form('post'); ?></div>
			<?php
		} elseif ( is_author() ) {
			?>
			<div class="left">
				<h1 class="page-title"><?php
				/* Queue the first post, that way we know
				 * what author we're dealing with (if that is the case).
				*/
				the_post();
				printf( __( 'Author Archives : %s', 'bd' ), '<span class="vcard">' . get_the_author() . '</span>' );
				/* Since we called the_post() above, we need to
				 * rewind the loop back to the beginning that way
				 * we can run the loop properly, in full.
				 */
				?></h1>
			</div>
			<div class="right"><?php bd_search_form('post'); ?></div>
			<?php
			rewind_posts();

		} elseif ( is_day() ) {
			?>
			<div class="left">
				<h1 class="page-title"><?php
				printf( __( 'Daily Archives : %s', 'bd' ), '<span>' . get_the_date() . '</span>' );
				?>
				</h1>
			</div>
			<div class="right"><?php bd_search_form('post'); ?></div>
			<?php

		} elseif ( is_month() ) {
			?>
			<div class="left">
				<h1 class="page-title"><?php
				printf( __( 'Monthly Archives : %s', 'bd' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );
				?></h1>
			</div>
			<div class="right"><?php bd_search_form('post'); ?></div>
			<?php

		} elseif ( is_year() ) {
			?>
			<div class="left">
				<h1 class="page-title"><?php
				printf( __( 'Yearly Archives : %s', 'bd' ), '<span>' . get_the_date( 'Y' ) . '</span>' );
				?></h1>
			</div>
			<div class="right"><?php bd_search_form('post'); ?></div>
			<?php

		} elseif ( bd_is_page('reviews') ) {
		?>
		<div class="left">
			<h1 class="page-title"><?php echo $wp_query->queried_object->post_title; ?></h1>
			<span class="tagline"><?php echo get_post_meta($wp_query->queried_object->ID, '_subheading', true); ?></span>
		</div>
		<div class="right"><?php bd_search_form('review'); ?></div>
		

		<?php
		} elseif ( is_tax() ) {
			$the_tax = get_taxonomy( get_query_var( 'taxonomy' ) );
			if( $the_tax && $wp_query && isset($wp_query->queried_object->name) ):
			?>
			<div class="left">
				<h1 class="page-title"><?php
				echo $the_tax->labels->name;
				echo ' : ';
				echo $wp_query->queried_object->name;
				?></h1>
				<span class="tagline"><?php echo category_description(); ?></span>
			</div>
			<div class="right"><?php bd_search_form('review'); ?></div>
			<?php
			endif;

		} elseif( is_search() ) {
		?>
		<div class="left">
			<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'bd' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
		</div>
		<div class="right"><?php bd_search_form(); ?></div>
		<?php
		/* is blog index */
		} elseif (
			$wp_query && isset($wp_query->queried_object->ID) 
			&& $wp_query->queried_object->ID == get_option('page_for_posts')
		 ) {
		?>
		<div class="left">
			<h1 class="page-title"><?php echo $wp_query->queried_object->post_title; ?></h1>
			<span class="tagline"><?php echo get_post_meta($wp_query->queried_object->ID, '_subheading', true); ?></span>
		</div>
		<div class="right"><?php bd_search_form('post'); ?></div>
		<?php
		} elseif ( is_single() && $post  ) {
			//debug($post);
			if( get_post_type($post->ID) == 'post' &&  get_option('page_for_posts') ):
				$blog_id = get_option('page_for_posts');
			?>
			<div class="left">
				<h1 class="page-title"><?php echo get_the_title($blog_id); ?></h1>
				<span class="tagline"><?php echo get_post_meta($blog_id, '_subheading', true); ?></span>
			</div>
			<div class="right"><?php bd_search_form(); ?></div>
			<?php

			elseif( get_post_type($post->ID) != 'post' ):
			?>
			<div class="left">
				<h1 class="page-title"><?php the_title(); ?></h1>
				<span class="tagline"><?php echo get_post_meta($post->ID, '_subheading', true); ?></span>
			</div>
			<div class="right"><?php bd_search_form(); ?></div>
			<?php
			endif;

		} elseif ( $wp_query && isset($wp_query->queried_object->ID)  ) {
		?>
		<div class="left">
			<h1 class="page-title"><?php echo $wp_query->queried_object->post_title; ?></h1>
			<span class="tagline"><?php echo get_post_meta($wp_query->queried_object->ID, '_subheading', true); ?></span>
		</div>
		<div class="right"></div>
		<?php
		}
		?></div><?php
		endif; // if not home
	endif;
}
add_action('bd_nav_after', 'bd_print_title');


/**
* Set a new post types array for the custom header feature
* Because some post types don't have single view (shows, videos)
* So no need to display custom header metabox
*/
function bd_custom_bg_post_types()
{
	global $BD_theme;
	$tab = $BD_theme['post-types'];
	unset($tab['show']);
	unset($tab['video']);
	$tab = array_keys($tab);
	array_push($tab, 'post', 'page', 'show');
	return $tab;
}

/**
* Custom Login Logo Option
*/
function bd_custom_login_logo(){ 

	global $option;
	//$logo = BD_THEME_URL.'images/logo-login.png';
	if(bd_get_option('login_logo')) 
		echo '<style  type="text/css"> h1 a { background-image:url('. BD_UPLOAD_URL.bd_get_option('login_logo').')  !important; } </style>';

}  
add_action('login_head',  'bd_custom_login_logo');



/**
* Get the "read more" link from the theme options
*/
function bd_get_more_link_text()
{
	$text = 'Read more';
	if(bd_get_option('read_more_txt')!='')
		$text = bd_get_option('read_more_txt');

	return $text;

}

/**
* Excerpt more
* Render "Read more" button
*/
function bd_excerpt_more($more)
{
	global $post;

	$class = 'more-link';
	
	if(bd_get_option('read_more_class'))
		$class = bd_get_option('read_more_class');

	$text = __('Read more', 'bd').'';

	if(bd_get_option('read_more_txt')!='')
		$text = bd_get_option('read_more_txt');

	return '...<p>
	<a href="'. get_permalink($post->ID) . '" class="'.$class.'">'.$text.'</a>
	</p>';
       
}
add_filter('excerpt_more', 'bd_excerpt_more');


/**
* Excerpt lenght hook 
* Get the number of character to diaplay on the excerpt from the theme options
*/
function bd_excerpt_length($length)
{

	if(bd_get_option('excerpt_length'))
		return bd_get_option('excerpt_length');
	else
		return 55; 

}
add_filter('excerpt_length', 'bd_excerpt_length');


/**
* Avoid page jump when clicking on more link
*/
add_filter('the_content_more_link', 'bd_remove_more_jump_link');
function bd_remove_more_jump_link($link) 
{
	$offset = strpos($link, '#more-');
	if ($offset) { $end = strpos($link, '"',$offset); }
	if ($end) { $link = substr_replace($link, '', $offset, $end-$offset); }
	return $link;
}



/**
*  Display One-Song Audio Player
*/
function bd_jplayer($post_id, $mp3 = null, $ogg = null)
{
	wp_enqueue_script('jplayer-solo', BD_THEME_URL. 'js/jplayer.min.js', 'jquery', '2.1');
	
	$rand = rand(1,999);
	$post_id = $post_id.$rand;
	$html='';
	$html .='<script type="text/javascript">    
		jQuery(document).ready(function($){
			$("#jquery_jplayer_'.$post_id.'").jPlayer({
				ready: function () {
					$(this).jPlayer("setMedia", {
						mp3: "'.$mp3.'", ';
						if($ogg)
							$html .= 'oga: "'.$ogg.'" ';

						$html .='                                 
					});
				},
			swfPath: "'.BD_THEME_URL.'js",
			cssSelectorAncestor: "#jp_interface_'.$post_id.'",
			supplied: "oga,mp3"
			});
		});
	</script>';
	$html .='<div class="solo-player">
			<div id="jquery_jplayer_'.$post_id.'" class="jp-jplayer jp-jplayer-audio"></div>
			<div class="jp-audio-container">
				<div class="jp-audio">
					<div class="jp-type-single">
						<div id="jp_interface_'.$post_id.'" class="jp-interface">
							<ul class="jp-controls">
								<li><div class="seperator-first"></div></li>
								<li><div class="seperator-second"></div></li>
								<li><a href="#" class="jp-play" tabindex="1">play</a></li>
								<li><a href="#" class="jp-pause" tabindex="1">pause</a></li>
								<li><a href="#" class="jp-mute" tabindex="1">mute</a></li>
								<li><a href="#" class="jp-unmute" tabindex="1">unmute</a></li>
							</ul>
							<div class="jp-progress-container">
								<div class="jp-progress">
									<div class="jp-seek-bar">
										<div class="jp-play-bar"></div>
									</div>
								</div>
							</div>
							<div class="jp-volume-bar-container">
								<div class="jp-volume-bar">
									<div class="jp-volume-bar-value"></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>';
	return  $html;       
}

// --------------------------------------------------------------------------

if( ! function_exists('wolf_format_custom_content_output') ) :
/**
 * Format output for other content area that can't be handle by the_content() filter
 * Such as additional content area from the theme options
 */
function wolf_format_custom_content_output( $content )
{
	$array = array(
		'<p>[' => '[',
		']</p>' => ']',
		']<br />' => ']'
	);
	$content = strtr($content, $array);
	
	return do_shortcode( stripslashes( wpautop( wptexturize( $content ) ) ) );
}
endif;

// --------------------------------------------------------------------------

if ( ! function_exists( 'wolf_single_content_filter' ) ) :
/**
 * Excludes featured media from content.
 * The featured media will be displayed at the top in single page
 */
function wolf_single_content_filter( $content ) { 

	$slider = null;

	$pattern = get_shortcode_regex();

	if ( preg_match( "/$pattern/s", get_the_content(), $match ) ) {
		
		if ( $match[0] && isset( $match[2] ) && 'gallery' == $match[2] ) {
			$slider = $match[0];
		}

	}

	if ( 'post' == get_post_type() && has_post_format( 'gallery' ) ) {

		$content = wolf_format_custom_content_output( str_replace( $slider, '', get_the_content() ) );
	
	}

	return $content;

}
add_filter( 'the_content', 'wolf_single_content_filter' );
endif;

// --------------------------------------------------------------------------


function bd_get_attachments( $post_id ) {

	$attachments = array();

	$pattern = get_shortcode_regex();

	if ( preg_match( "/$pattern/s", get_the_content(), $match ) ) {
		
		if ( $match[0] && isset( $match[2] ) && 'gallery' == $match[2] ) {

			$shortcode = $match[0];
			$ids = preg_match('/ids=\"(.*)\"/i', $shortcode, $match_ids);
			if ( isset( $match_ids[1] ) ) {
				$list = $match_ids[1];
				$image_ids = explode( ',', $list );
				
				$args = array(
					'post_type' => 'attachment',
					'post__in' => $image_ids
				);

				$attachments = get_posts( $args );
			}
			

		}


	} else {
		$args = array(
			'post_type' => 'attachment',
			'numberposts' => -1,
			'post_status' => null,
			'orderby' => 'menu_order',
			'post_parent' => $post_id
		);

		$attachments = get_posts( $args );
	}

	

	return $attachments;
}

// --------------------------------------------------------------------------


/**
*  Retun Post Slider with the post attachment
* @param string : image format
**/
function bd_post_slider( $format = 'default', $resize = 0 )
{
	wp_enqueue_script( 'flexslider' );
	global $post;
	$post_id = $post->ID;

	$rand = rand(1,999);
	$rand_id = $post_id.$rand;
	$html = '';
	
	$args = array(
		'post_type' => 'attachment',
		'numberposts' => -1,
		'post_status' => null,
		'orderby' => 'menu_order',
		'post_parent' => $post->ID
		);

	$attachments = bd_get_attachments( $post_id );
	
		if ( $attachments ) {

			$html .='<script type="text/javascript">
				jQuery(window).load(function(){
					jQuery("#slider-'.$rand_id.' .slides li").first().find("img").css({"opacity": 1});
					jQuery("#slider-'.$rand_id.'").css("background-image","none");
					jQuery("#slider-'.$rand_id.'").flexslider({
						animation : "fade",
						slideshow : false,
						smoothHeight: true
					});    
				});
			</script>';

			$html .= '<div class="flexslider post-slider" id="slider-'.$rand_id.'"><ul class="slides">';

			foreach ( $attachments as $attachment ) {
				$class = "post-attachment mime-" . sanitize_title( $attachment->post_mime_type );
				$img_src = wp_get_attachment_image_src( $attachment->ID, $format);
				$alt = get_post_meta($attachment->ID , '_wp_attachment_image_alt', true);
				
				$uploads = wp_upload_dir();
				$file_path = str_replace( $uploads['baseurl'], $uploads['basedir'], $img_src );

				$size = getimagesize($file_path[0]);
				
				$max_w = 1240;
				$max_h = 630;
				$w = $size[0];
				$h = $size[1];

				$x = ($max_h*$w)/$h;
				$x = ceil($x);
				$y = 100*$x/$max_w;

				$style= null;
				
				if( $resize == 2 || $resize == 1 && $h >= $w)
				 	$style = ' style="width:'.$y.'%"';

				$html .= '<li class="' . $class . ' data-design-thumbnail">'; 
					$html .= '<img src="'.$img_src[0].'"'.$style.' alt="'.$alt.'">';
				
				if( $attachment->post_excerpt != '' )
					$html .= '<p class="flex-caption">'.$attachment->post_excerpt.'</p>';
				
				$html .= '</li>';
			}

			$html .= '</ul></div>';
		}

	return $html;
}



/*-----------------------------------------------------------------------------------*/
/*	Shows Functions
/*-----------------------------------------------------------------------------------*/

/**
*  Format date from Mysql
*
*/
if ( ! function_exists( 'bd_date_format' ) ) :
function bd_date_format($date){
	list($monthnbr, $day, $year) = explode("-", $date);
	$search  = array('01','02','03','04','05','06','07','08','09','10','11','12');
	$replace = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sept','Oct','Nov','Dec');
	$month = str_replace($search, $replace, $monthnbr);
	return $month.'. '.$day.', '. $year;
}
endif;

if ( ! function_exists( 'bd_sql_date_format' ) ) :
function bd_sql_date_format($date){
	list($month, $day, $year) = explode("-", $date);
	return $year.'-'.$month.'-'. $day.' 00:00:00';
}
endif;

/**
*  Format date from Mysql for mobile (mm/dd/yy)
*
*/
if ( ! function_exists( 'bd_date_mobile_format' ) ) :
function bd_date_mobile_format($date){
	list($month, $day, $year) = explode("-", $date);
	return $month.'-'.$day.'-'. $year;
}
endif;

/**
*  Format date from Mysql for mobile (mm/dd/yy)
*
*/
if ( ! function_exists( 'bd_custom_date_format' ) ) :
function bd_custom_date_format($date){
	list($monthnbr, $day, $year) = explode("-", $date);
	$search  = array('01','02','03','04','05','06','07','08','09','10','11','12');
	$replace = array(__('Jan', 'bd'),__('Feb', 'bd'),__('Mar', 'bd'),__('Apr', 'bd'),__('May', 'bd'),__('Jun', 'bd'),__('Jul', 'bd'),__('Aug', 'bd'),__('Sep', 'bd'),__('Oct', 'bd'),__('Nov', 'bd'),__('Dec', 'bd'));
	$month = str_replace($search, $replace, $monthnbr);
	return '<div class="bd-custom-date"><span class="bd-custom-day">'.$day.'</span><span class="bd-custom-month">'.$month.'</span><span class="bd-custom-year">'.$year.'</span></div>';
}
endif;


/**
* Shows post type query
*
*/
function bd_shows_query($future = true)
{
	global $wpdb;
	$shows_query = "SELECT wposts.* 
		FROM $wpdb->posts wposts, $wpdb->postmeta wpostmeta
		WHERE wposts.ID = wpostmeta.post_id
		AND wpostmeta.meta_key = 'bd_show_date' ";
	
	if($future)
		$shows_query .= "AND STR_TO_DATE(wpostmeta.meta_value,'%m-%d-%Y') >= CURDATE()";
	elseif(!$future)
		$shows_query .= "AND STR_TO_DATE(wpostmeta.meta_value,'%m-%d-%Y') < CURDATE()";

	if($future)
		$order = 'ASC';
	elseif(!$future)
		$order = 'DESC';
	
	$shows_query .= "AND wposts.post_status = 'publish'
		AND wposts.post_type = 'show'
		ORDER BY STR_TO_DATE(wpostmeta.meta_value,'%m-%d-%Y') $order
		LIMIT 100
		";


	return $shows_query;
}


/*-----------------------------------------------------------------------------------*/
/*	Tobar message
/*-----------------------------------------------------------------------------------*/


/**
* Add CSS to display top bar message or not depending on theme options
*/
function bd_topbar_options(){

	$display = bd_get_option('topbar_display');

	$output = "\n";

	$open = '#topbar{display:block;}';

	$close = '#topbar{display:none;} #topbar-container #ribbon {top : 0}';


	if(bd_get_option('topbar_text')){
		$output .=  '<style type="text/css">';

		if( $display == 'open' ){

			$output .= $open;

		}elseif( $display == 'close' ){

			$output .= $close;

		}elseif( $display == 'cookie' ){

			if( !isset($_COOKIE["topbar"]) ){

				//setcookie("topbar", "open", 3600, '/');
				$output .= $open;
			}else{

				if( $_COOKIE["topbar"] == 'open' ){

					$output .= $open;

				}elseif( $_COOKIE["topbar"] == 'close' ){

					$output .= $close;

				}

			}

		}

		$output .= '</style>';
	}

	echo $output;

}
add_action('wp_head', 'bd_topbar_options');



if ( ! function_exists( 'bd_get_iframe_video_url' ) ) :
function bd_get_iframe_video_url( $iframe ) {

	if ( preg_match( '/src="([^"]*)"/i', $iframe, $match ) ) {
		$url = $match[1];
	}

	$video_url = $url;

	/* Is Vimeo
	-----------------------------------------------------*/
	$is_vimeo = preg_match('#vimeo#', $url);
	if($is_vimeo){
		$video_url = str_replace( array('video/', 'player.'), '', $url);
	}

	/* Is Dailymotion
	-----------------------------------------------------*/
	$is_dailymotion = preg_match('#dailymotion#', $url);
	if($is_dailymotion){
		$video_url = str_replace( array('/embed'), '', $url);
	}

	return esc_url( $video_url );

}
endif;


/*-----------------------------------------------------------------------------------*/
/*  Theme Shortcodes & Custom functions
/*-----------------------------------------------------------------------------------*/

function bd_rating($rating = null , $small = false)
{
	if( $rating ){
		$prefix = 'star-';
		if($small)
			$prefix = 'small-star-';

		$class = $prefix . str_replace('.', '-', $rating);

		if( !bd_get_option('disable_rating') )
			return '<div class="bd-rating ' . $class . '"></div>';
	}
}


/* Last Posts Module
-----------------------------------------------*/
function bd_custom_last_posts($count = 4, $cat = null, $tag = null)
{
	ob_start();

	$args = array( 
		'post_type' => array('post'),
		'posts_per_page' => $count,
	);

	if( $cat )
		$args['category_name'] = $cat;

	if( $tag )
		$args['tag'] = $tag;

	
	$loop = new WP_Query($args);
	
	if($loop->have_posts()): ?>
	<div class="module">
	<?php while ( $loop->have_posts() ) : $loop->the_post(); 
		$title= get_the_title();
		$post_sample = bd_sample(get_the_excerpt(), 200).' <a href="' . get_permalink() . '">' . __('Read more', 'bd') . '</a>';
		if(preg_match('#https://twitter.com#', get_the_content())){
			$post_sample = the_content();
			$title = '';
		}

	?>
	
		<article <?php post_class(); ?>   id="post-<?php the_ID(); ?>">
			<h3 class="entry-title">
				<a class="entry-link" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'bd'), get_the_title()); ?>" href="<?php echo esc_url( get_permalink() ); ?>">
					<?php echo $title; ?>
				</a>
			</h3>
			<p>
				<?php if(has_post_thumbnail()): ?>
				<a class="preview" href="<?php the_permalink(); ?>">
					<img style="float:left; margin-right:15px; margin-bottom:15px" src="<?php echo bd_get_post_thumbnail_url('mini'); ?>">
				</a>
				<?php endif; ?>
				<?php echo $post_sample; ?>
			</p>
			<div class="clear"></div>
			
		</article>
		<hr style="margin:20px 0 10px">
	<?php endwhile; ?>
		<a href="<?php echo bd_blog_url(); ?>" class="more-link">
			<?php _e('Read more news', 'bd'); ?>
		</a>
	</div>
	<?php endif;
	wp_reset_query();
	wp_reset_postdata();
	$html = ob_get_contents();
	ob_end_clean();
	return $html;
}

add_shortcode ('bd_last_posts', 'bd_custom_last_posts_shortcode');
function bd_custom_last_posts_shortcode($atts)
{
	extract(shortcode_atts(array(
	      "count" => 4,
	      "category" => null,
	      "tag" => null
	), $atts));
	if(function_exists('bd_custom_last_posts'))
		return bd_custom_last_posts($count, $category, $tag);
}



function bd_custom_last_albums($count = 3, $cat = null)
{
	ob_start();

	$args = array( 
		'post_type' => array('gallery'),
		'posts_per_page' => $count,
	);

	if( $cat ){
		$args['gallery-category'] = $cat;
	}
	
	$loop = new WP_Query($args);
	if($loop->have_posts()): ?>
	<div id="home-albums-grid" class="clearfix">
		<?php while ($loop->have_posts()) : $loop->the_post(); ?>
		<?php if(has_post_thumbnail()): ?>
		<div <?php post_class(array('album-item-container')); ?> id="post-<?php the_ID(); ?>">
			<div class="album-item">
				<a class="entry-link" href="<?php the_permalink(); ?>">
					<div class="album-thumb">
						<?php the_post_thumbnail('item-cover'); ?>
						<div class="album-title">
							<h5><?php the_title(); ?></h5>
							<p><?php _e('View Gallery', 'bd'); ?></p>
						</div>
					</div>
				</a>
			</div>
		</div>
		<?php endif; ?>
		<?php endwhile; ?> 
	</div>
	<?php 
	else: // if no posts
		
		?><article id="post-0" class="post no-results not-found">
			<div class="entry-content">
				<p class="center"><?php _e('No album yet.', 'bd'); ?></p>
			</div>
		</article><?php
	
	endif;
	wp_reset_query();
	wp_reset_postdata();
	$html = ob_get_contents();
	ob_end_clean();
	return $html;
}

add_shortcode ('bd_last_albums', 'bd_homepage_last_albums_shortcode');
function bd_homepage_last_albums_shortcode($atts)
{
	extract(shortcode_atts(array(
	      "count" => 3,
	      "category" => null
	), $atts));
	if(function_exists('bd_custom_last_albums'))
		return bd_custom_last_albums($count, $category);
}

function bd_custom_last_videos($count = 3)
{
	wp_enqueue_script( 'fancybox-media');
	ob_start();

	$loop = new WP_Query("post_type=video&showposts=$count");
	if($loop->have_posts()): ?>
	<div id="home-videos-grid" class="clearfix">
		<?php while ($loop->have_posts()) : $loop->the_post(); 
		$video = get_post_meta(get_the_ID(), '_format_video_embed', true);
		$video_url = bd_get_iframe_video_url($video);
		?>
		<?php if(has_post_thumbnail()): ?>
		<div <?php post_class(array('video-item-container')); ?> id="post-<?php the_ID(); ?>">
			<div class="video-item">
				<a class="fancybox-media entry-link" href="<?php echo $video_url; ?>" title="<?php printf(__('Watch %s', 'bd'), get_the_title()); ?>">
					<div class="video-thumb">
						<span class="play-overlay"></span>
						<?php the_post_thumbnail('item-cover'); ?>
						<div class="video-title">
							<h5><?php the_title(); ?></h5>
						</div>
					</div>
				</a>
			</div>
		</div>
		<?php endif; ?>
		<?php endwhile; ?> 
	</div>
	<?php 
	else: // if no posts
		
		?><article id="post-0" class="post no-results not-found">
			<div class="entry-content">
				<p class="center"><?php _e('No video yet.', 'bd'); ?></p>
			</div>
		</article><?php
	
	endif;
	wp_reset_query();
	wp_reset_postdata();
	$html = ob_get_contents();
	ob_end_clean();
	return $html;
}

add_shortcode ('bd_last_videos', 'bd_homepage_last_videos_shortcode');
function bd_homepage_last_videos_shortcode($atts)
{
	extract(shortcode_atts(array(
	      "count" => 3,
	), $atts));
	if(function_exists('bd_custom_last_videos'))
		return bd_custom_last_videos($count);
}


add_filter( 'post_gallery', 'bd_post_gallery', 10, 2 );
function bd_post_gallery( $output, $attr) {
    	global $post, $wp_locale;

	static $instance = 0;
	$instance++;

	// We're trusting author input, so let's at least make sure it looks like a valid orderby statement
	if ( isset( $attr['orderby'] ) ) {
		$attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
		
		if ( !$attr['orderby'] )
			unset( $attr['orderby'] );
	}

	extract(shortcode_atts(array(
	    'order'      => 'ASC',
	    'orderby'    => 'menu_order ID',
	    'id'         => $post->ID,
	    'itemtag'    => 'dl',
	    'icontag'    => 'dt',
	    'captiontag' => 'dd',
	    'columns'    => 3,
	    'size'       => 'thumbnail',
	    'include'    => '',
	    'exclude'    => ''
	), $attr));

	$id = intval($id);
	if ( 'RAND' == $order )
		$orderby = 'none';

	if ( !empty($include) ) {
		$include = preg_replace( '/[^0-9,]+/', '', $include );
		$_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );

		$attachments = array();
		foreach ( $_attachments as $key => $val ) {
			$attachments[$val->ID] = $_attachments[$key];
		}

	} elseif ( !empty($exclude) ) {
		$exclude = preg_replace( '/[^0-9,]+/', '', $exclude );
		$attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	} else {
		$attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	}

	if ( empty($attachments) )
		return '';

	if ( is_feed() ) {
		$output = "\n";
		foreach ( $attachments as $att_id => $attachment )
		$output .= wp_get_attachment_link($att_id, $size, true) . "\n";
		return $output;
	}

	$itemtag = tag_escape($itemtag);
	$captiontag = tag_escape($captiontag);
	$columns = intval($columns);
	$itemwidth = $columns > 0 ? floor(100/$columns) : 100;
	$float = is_rtl() ? 'right' : 'left';

    	$selector = "gallery-{$instance}";

	$output = apply_filters('gallery_style', "
	    <style type='text/css'>
	        #{$selector} {
	            margin: auto;
	        }
	        #{$selector} .gallery-item {
	            float: {$float};
	            margin-top: 10px;
	            text-align: center;
	            width: {$itemwidth}%;           }
	        #{$selector} img {
	            border: 2px solid #cfcfcf;
	        }
	        #{$selector} .gallery-caption {
	            margin-left: 0;
	        }
	    </style>
	    <!-- see gallery_shortcode() in wp-includes/media.php -->
	    <div id='$selector' class='gallery galleryid-{$id}'>");

	$i = 0;
	foreach ( $attachments as $id => $attachment ) {
		$caption = '';
		$img = wp_get_attachment_image_src($id, $size, false, false);
		$full = wp_get_attachment_image_src($id, 'full', false, false);

		if ( $captiontag && trim($attachment->post_excerpt) )
			$caption = wptexturize($attachment->post_excerpt);

		$output .= "<{$itemtag} class='gallery-item'>";
		$output .= "
		<{$icontag} class='gallery-icon'>";
		if($img[0] && $full[0])
			$output .= '<a title="'. $caption .'" class="zoom fancybox" href="'. $full[0] .'"><img src="' . $img[0] . '" alt="'. wptexturize($attachment->post_title) .'"></a>';
		
		$output .= " </{$icontag}>";

		$output .= "</{$itemtag}>";
		
		if ( $columns > 0 && ++$i % $columns == 0 )
			$output .= '<br style="clear: both" />';
	}

    	$output .= "
            <br style='clear: both;' /></div>\n";

	return $output;
}

if ( ! function_exists( 'wolf_add_hr_button' ) ) :
/**
* Add hr to text editor
*/
function wolf_add_hr_button( $buttons ) {
	
	$buttons[] = 'hr';
	return $buttons;

}
add_filter("mce_buttons", "wolf_add_hr_button");
endif;

if ( ! function_exists( 'wolf_mp_tour_dates_google_map_meta_hook' ) ) {
	/**
	 * Output google map
	 *
	 * Check the old URL and output an iframe or output the new iframe code directly
	 *
	 * @param string|array $metadata - Always null for post metadata.
	 * @param int $object_id - Post ID for post metadata
	 * @param string $meta_key - metadata key.
	 * @param bool $single - Indicates if processing only a single $metadata value or array of values.
	 * @return Original or Modified $metadata.
	 */
	function wolf_mp_tour_dates_google_map_meta_hook( $metadata, $object_id, $meta_key, $single ) {
		
		if ( 'bd_show_map' == $meta_key ) {
			
			$cache = wp_cache_get( $object_id, 'post_meta'); // get meta values

			if ( $cache && isset( $cache[ $meta_key ] ) && isset( $cache[ $meta_key ][0] ) ) {
				
				$metadata = $cache[ $meta_key ][0];

				// get the src value if value is an embed code
				if ( preg_match( '/src="([^"]*)"/i', $metadata, $match ) ) {
					if ( $match && isset( $match[1] ) ) {
						$metadata = str_replace( '&amp;output=embed', '', $match[1] );
					}
				}
			}
		}
		
		return $metadata;
	}
	add_filter( 'get_post_metadata', 'wolf_mp_tour_dates_google_map_meta_hook', true, 4 );
}
