<?php
/**
* Register default widget areas
*/
function bd_sidebars_init() {
	global $BD_theme;

	// Blog Sidebar
	register_sidebar( array(
		'name'          => 'Blog Sidebar',
		'id'            => 'main',
		'description' => __('The default sidebar used for the blog.', 'bd'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div><hr>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );


	if(function_exists('bd_post_types_sidebars'))
		
		$bd_sidebars = bd_post_types_sidebars();

	else
		$bd_sidebars = $BD_theme['post_types'];
	
	// Create a Sidebar for each post types
	foreach($bd_sidebars as $k => $v):

		$id = bd_to_slug($k);
			
		$s = substr($id, -1);
		
		if($s == 's')
			$id = substr( $id , 0, -1 );

		$slug = $id;
		if(isset($v['slug']))
			$slug = bd_to_slug($v['slug']);

		
		$singular = ucfirst( str_replace( array('-', '_'), ' ', $id) );
		
		if(isset($v['singular']))
			$singular = ucfirst( str_replace( array('-', '_'), ' ', $v['singular']) );
		
		
		$plural = $singular.'s';
		if(isset($v['plural']))
			$plural = ucfirst( str_replace( array('-', '_'), ' ', $v['plural']) );


		$menu_name = ucfirst($plural);
		if(isset($v['menu_name']))
			$menu_name = ucfirst($v['menu_name']);

		register_sidebar( array(
			'name'          => $menu_name.' Sidebar',
			'id'            => $id,
			//'description' => __('The sidebar used for the', 'bd'). "$menu_name " . __('single pages and taxonomy pages.', 'bd'),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div><hr>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );

	endforeach;


	// Footer
	register_sidebar( array(
		'name'          => 'Footer',
		'id'            => 'footer_area',
		'description' => __('Footer widget area (supports 3 widgets)', 'bd'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );


}
add_action( 'widgets_init', 'bd_sidebars_init' );