<?php
/*-----------------------------------------------------------------------------------

	Plugin Name: Custom Tabs Widget
	Plugin URI: http://themes.brutaldesign.com
	Description: A widget that displays 3 tabs: last post, popular post, and last commentt
	Version: 1.0
	Author: BrutalDesign
	Author URI: http://themes.brutaldesign.com

-----------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------*/
/*  Create the widget
/*-----------------------------------------------------------------------------------*/
add_action('widgets_init', 'bd_custom_tabs_init');

function bd_custom_tabs_init(){

	register_widget('bd_custom_tabs_Widget');
	
}


/*-----------------------------------------------------------------------------------*/
/*  Widget Class
/*-----------------------------------------------------------------------------------*/
class bd_custom_tabs_Widget extends WP_Widget {

	/*-----------------------------------------------------------------------------------*/
	/*  Widget Setup
	/*-----------------------------------------------------------------------------------*/
	function bd_custom_tabs_Widget(){

		// Widget settings
		$ops = array('classname' => 'widget_custom_tabs', 'description' => __('3 tabs: last posts, popular posts, and last comments', 'bd'));

		// Create the widget
		$this->WP_Widget('widget_custom_tabs', __('Custom tabs', 'bd'), $ops);
		
	}

	/*-----------------------------------------------------------------------------------*/
	/*  Display Widget
	/*-----------------------------------------------------------------------------------*/
	function widget($args, $instance){
		
		extract($args);
		echo $before_widget;
		bd_custom_tabs();
		echo $after_widget;
	
	}

}

/*-----------------------------------------------------------------------------------*/
/*  Custom tabs function
/*-----------------------------------------------------------------------------------*/
function bd_custom_tabs(){
	
	if (  !wp_script_is('jquery-ui-tabs') )
		wp_enqueue_script( 'jquery-ui-tabs' );

	global $wpdb, $post;
	
	$args1 = array( 
		'post_type' => array('post'),
		'posts_per_page' => 3,
		'meta_key'    => '_thumbnail_id',
	);
	$args2 = array( 
		'post_type' => array('post') ,
		'orderby' => 'comment_count',
		'meta_key'    => '_thumbnail_id',
		'posts_per_page' => 3,
	);

	$loop1 = new WP_Query($args1);
	$loop2 = new WP_Query($args2);
	?>
	<script type="text/javascript"> jQuery(function($){ $( ".widget_custom_tabs .bd-tabgroup" ).tabs(); });</script>
	<div class="bd-tabgroup">
		<ul class="tabs-menu" style="margin-top:0">
			<li><a href="#tab-1"><?php _e('Recent', 'bd'); ?></a></li>
			<li><a href="#tab-2"><?php _e('Popular', 'bd'); ?></a></li>
			<li><a href="#tab-3"><?php _e('Comments', 'bd'); ?></a></li>
		</ul>
		<div style="clear:both;"></div>

		<div class="widget-custom-tabs-container">
			<div id="tab-1">
				<div class="widget-thumbnails-list">
					<?php while ($loop1->have_posts()) : $loop1->the_post(); ?>
					<article>
						<a href="<?php esc_url(the_permalink()); ?>" class="widget-thumb-link">
							<?php the_post_thumbnail('mini', array('title' => "")); ?>
						</a>
						<span class="entry-title"><a href="<?php esc_url(the_permalink()); ?>" title="<?php printf(__('Permanent Link to %s', 'bd'), get_the_title()); ?>"><?php echo bd_sample(get_the_title(), 40); ?></a></span>
							<br>
						<small class="time"><?php echo get_the_date( get_option('date_format') ); ?></small><br>
						<small class="comment-count"><?php bd_comment_number(); ?></small>
		
						<div class="clear"></div>
					</article>
					<?php endwhile; ?>
				</div>

			</div>

			<div id="tab-2">
				<div class="widget-thumbnails-list">
				<?php while ($loop2->have_posts()) : $loop2->the_post(); ?>
				<article>
					<a href="<?php esc_url(the_permalink()); ?>" class="widget-thumb-link">
						<?php the_post_thumbnail('mini', array('title' => "")); ?>
					</a>
					<span class="entry-title"><a href="<?php esc_url(the_permalink()); ?>" title="<?php printf(__('Permanent Link to %s', 'bd'), get_the_title()); ?>"><?php echo bd_sample(get_the_title(), 40); ?></a></span>
						<br>
					<small class="time"><?php echo get_the_date( get_option('date_format') ); ?></small><br>
					<small class="comment-count"><?php bd_comment_number(); ?></small>
					<div class="clear"></div>
				</article>
				<?php endwhile; ?>
				</div>
			</div>
			<div id="tab-3">
			<?php 
			/**
			* bd_recent_comments() is used from the recent-comments-widget.php file
			*/
			if(function_exists('bd_recent_comments'))
				bd_recent_comments(3); 
			?>
			</div>
		</div>
	</div>
	<?php	
}        
?>