<?php
/*-----------------------------------------------------------------------------------

	Plugin Name: Facebook Fanbox Widget
	Plugin URI: http://themes.brutaldesign.com
	Description: A widget that displays a facebook fanbox
	Version: 1.0
	Author: BrutalDesign
	Author URI: http://themes.brutaldesign.com

-----------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------*/
/*  Create the widget
/*-----------------------------------------------------------------------------------*/
add_action('widgets_init', 'bd_fb_fanbox_init');

function bd_fb_fanbox_init(){

   register_widget('bd_fb_fanbox_widget');
   
}

/*-----------------------------------------------------------------------------------*/
/*  Widget Class
/*-----------------------------------------------------------------------------------*/
class bd_fb_fanbox_widget extends WP_Widget {

	
	/*-----------------------------------------------------------------------------------*/
	/*  Widget Setup
	/*-----------------------------------------------------------------------------------*/
	function bd_fb_fanbox_widget(){

		// Widget settings
		$ops = array('classname' => 'widget_video', 'description' => 'Display a facebook likebox in your sidebar');

		// Create the widget
		$this->WP_Widget('widget_fb_fanbox', 'Facbook Fanbox', $ops);

	}

	/*-----------------------------------------------------------------------------------*/
	/*  Disply Widget
	/*-----------------------------------------------------------------------------------*/
	function widget($args, $instance){

		extract($args);

		$url = $instance['url'];
		echo $before_widget;
		bd_fb_fanbox($url, $instance['face'], $instance['stream'],$instance['header'], $scheme = 'light');
		echo $after_widget;

	}

	/*-----------------------------------------------------------------------------------*/
	/*  Update Widget
	/*-----------------------------------------------------------------------------------*/
	function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['url'] = $new_instance['url'];
		$instance['face'] = $new_instance['face'];
		$instance['stream'] = $new_instance['stream'];
		$instance['header'] = $new_instance['header'];
		return $instance;
	}

	/*-----------------------------------------------------------------------------------*/
	/*	Displays the widget settings controls on the widget panel
	/*-----------------------------------------------------------------------------------*/
	function form($instance){

		// Set up some default widget settings
		$defaults = array('url' => 'http://www.facebook.com/platform', 'face' => 'on', 'stream' => 'on', 'header' => 'on', 
		'scheme' => 'light');
		$instance = wp_parse_args((array) $instance, $defaults);

		?>
		<p>
			<label for="<?php echo $this->get_field_id('url'); ?>">Facebook URL</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" value="<?php echo $instance['url']; ?>">
		</p>

		<p>
			<input class="checkbox" type="checkbox" id="<?php echo $this->get_field_id('face'); ?>" name="<?php echo $this->get_field_name('face'); ?>" <?php if($instance['face']=='on') echo 'checked="checked"'; ?>>
			<label for="<?php echo $this->get_field_id('face'); ?>">Show Faces</label>
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" id="<?php echo $this->get_field_id('stream'); ?>" name="<?php echo $this->get_field_name('stream'); ?>" <?php if($instance['stream']=='on') echo 'checked="checked"'; ?>>
			<label for="<?php echo $this->get_field_id('stream'); ?>">Show Stream</label>
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" id="<?php echo $this->get_field_id('header'); ?>" name="<?php echo $this->get_field_name('header'); ?>" <?php if($instance['header']=='on') echo 'checked="checked"'; ?>>
			<label for="<?php echo $this->get_field_id('header'); ?>">Show Header</label>
		</p>

	<?php
	}

   

}

/*-----------------------------------------------------------------------------------*/
/*	Facebook Fanbox functions
/*-----------------------------------------------------------------------------------*/
function bd_fb_fanbox($url, $face = 'true', $stream = 'true', $header = 'true', $scheme = 'light'){
	global $options;
	$width = 295;
	$border_color = '#ffffff';

	if(bd_get_option('skin') == 'light'){
		$border_color = '#ffffff';
		$scheme = 'light';
	}elseif( bd_get_option('skin')=='dark' ){
		$border_color = '#0d0d0d';
		$scheme = 'dark';
	}


	echo '<div id="fb-root"></div><script>(function(d, s, id) {
		      var js, fjs = d.getElementsByTagName(s)[0];
		      if (d.getElementById(id)) return;
		      js = d.createElement(s); js.id = id;
		      js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
		      fjs.parentNode.insertBefore(js, fjs);
		    }(document, \'script\', \'facebook-jssdk\'));</script>'. "\n";	

	echo '<div class="bd-fb-fanbox">    
	<div class="fb-like-box" data-colorscheme="'.$scheme.'" data-href="'.$url.'" data-border-color="'.$border_color.'" data-width="'.$width.'" data-show-faces="'.bd_fb_return($face).'" data-stream="'.bd_fb_return($stream).'" data-header="'.bd_fb_return($header).'"></div></div>';

}    

function bd_fb_return($var){
	if($var == 'on')
		return 'true';
	else
		return 'false';
}   

?>