<?php
/*-----------------------------------------------------------------------------------

	Plugin Name: Last Release Widget
	Plugin URI: http://themes.brutaldesign.com
	Description: Display your last release
	Version: 1.1
	Author: BrutalDesign
	Author URI: http://themes.brutaldesign.com

-----------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------*/
/*  Create the widget
/*-----------------------------------------------------------------------------------*/
add_action('widgets_init', 'bd_last_release_init');

function bd_last_release_init(){

	register_widget('bd_last_release_widget');
	
}

/*-----------------------------------------------------------------------------------*/
/*  Widget Class
/*-----------------------------------------------------------------------------------*/
class bd_last_release_widget extends WP_Widget {

	/*-----------------------------------------------------------------------------------*/
	/*  Widget Setup
	/*-----------------------------------------------------------------------------------*/
	function bd_last_release_widget(){

		// Widget settings
		$ops = array('classname' => 'widget_last_release', 'description' => __('Display your last release', 'bd'));

		// Create the widget
		$this->WP_Widget('widget_last_release', 'Last Release', $ops);
		
	}

	/*-----------------------------------------------------------------------------------*/
	/*  Display Widget
	/*-----------------------------------------------------------------------------------*/
	function widget($args, $instance){
		
		extract($args);
		
		$title = apply_filters('widget_title', $instance['title']);
		echo $before_widget;
		if (!empty($title)) echo $before_title . $title . $after_title;
		echo '<p>';
		echo $instance['desc'];
		echo '</p>';
		echo bd_last_release($instance['count']);
		echo $after_widget;
	
	}

	/*-----------------------------------------------------------------------------------*/
	/*  Update Widget
	/*-----------------------------------------------------------------------------------*/
	function update($new_instance, $old_instance){
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['desc'] = $new_instance['desc'];
		$instance['count'] = $new_instance['count'];

		return $instance;
	}

	/*-----------------------------------------------------------------------------------*/
	/*	Displays the widget settings controls on the widget panel
	/*-----------------------------------------------------------------------------------*/
	function form($instance){

			// Set up some default widget settings
			$defaults = array(
				'title' => 'Last Release', 
				'count' => 1, 
				'desc' => '');
			$instance = wp_parse_args((array) $instance, $defaults);

		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'bd' ); ?>:</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('desc'); ?>"><?php _e('Optional Text', 'bd'); ?>:</label>
			<textarea class="widefat"  id="<?php echo $this->get_field_id('desc'); ?>" name="<?php echo $this->get_field_name('desc'); ?>" ><?php echo $instance['desc']; ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Count', 'bd' ); ?>:</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" value="<?php echo $instance['count']; ?>">		</p>
		</p>
		<?php
	}

	

}

/*-----------------------------------------------------------------------------------*/
/*	Video Function
/*-----------------------------------------------------------------------------------*/
function bd_last_release($count = 1){
	ob_start();
	$loop = new WP_Query("post_type=release&posts_per_page=$count");
	if($loop->have_posts()): ?>
	<div>
	<?php while ( $loop->have_posts() ) : $loop->the_post(); 
		$band = get_post_meta(get_the_ID(), 'bd_release_band', true);
		$title = get_post_meta(get_the_ID(), 'bd_release_title', true);
	?>
		<?php if(has_post_thumbnail()): ?>
		<a title="<?php _e('View details', 'bd'); ?>" href="<?php the_permalink(); ?>">
			<?php the_post_thumbnail('item-thumb'); ?>
		</a>
		<?php endif; ?>
		<div style="height:10px"></div>
		<?php if($band): ?><strong><?php echo $band; ?></strong><?php endif ; ?>
		<?php if($band && $title): ?> &mdash; <?php endif ; ?>
		<?php if($title): ?><?php echo $title; ?><?php endif ; ?>
		<?php if($count > 1): ?>
		<div style="height:20px"></div>
		<?php endif; ?>
	<?php endwhile; ?>
	</div>
	<?php endif;
	$html = ob_get_contents();
	ob_end_clean();
	return $html;
}        
?>