jQuery(document).ready(function($) {

/*-----------------------------------------------------------------------------------*/
/*	Menu
/*-----------------------------------------------------------------------------------*/

	/* Dropdown
	-------------------*/

	function mainmenu(id){
		
		$(id+" ul ").css({display: "none"}); // Opera Fix
		$(id+" li").hover(function(){
			$(this).find('ul:first').css({visibility: "visible", display: "none"}).show(400);
			$(this).find('a').addClass('current');
		},function(){
			$(this).find('ul:first').css({visibility: "hidden"});
			$(this).find('a').removeClass('current');
		});
		
	}

    	mainmenu('#primary-menu');

    	var mobileMenu = $('#mobile-menu-container #mobile-menu, #mobile-menu-container .default-menu');
	$('#mobile-menu-dropdown').toggle(function() { 
			mobileMenu.slideDown();
		},function() { 
			mobileMenu.slideUp();
	});


      
/*-----------------------------------------------------------------------------------*/
/*	Top bar message
/*-----------------------------------------------------------------------------------*/

	var topbar = $('#topbar');

	$('#topbar-close').click(function(){
		$('#topbar').slideUp().addClass('close');
		$('#ribbon').animate({ top : 0 });
		$.cookie("topbar", "close", { path: '/', expires: 3 });
	});

	$('#ribbon').click(function(){
		topbar.slideDown().addClass('open');
		$(this).animate({ top : "-30px" });
		$.cookie("topbar", "open", { path: '/', expires: 3 });
	});


  	
/*-----------------------------------------------------------------------------------*/
/*	Hover effect
/*-----------------------------------------------------------------------------------*/

	var hover_img = $('.zoom img, .flickr-widget img, .preview img, .widget_last_release img, .widget_store_item img, .hover, .hover img, .store-item img, .bd-music-logo, .last-photos-thumbnails img, .bd-instagram-list li a img, .widget-thumbnails-list a img');
	hover_img.hover(function(){ 
		$(this).stop().animate({'opacity': 0.7}, 'fast');
		},function() { 
		$(this).stop().animate({'opacity': 1}, 'fast');
	});

	var gallery_img = $('.gallery-icon a img');
	gallery_img.hover(function(){ 
		$(this).stop().animate({'opacity': 0.4}, 'fast');
		},function() { 
		$(this).stop().animate({'opacity': 1}, 'fast');
	});

	var hover_text = $('a:not(a img, .entry-link, .buy, .gallery-icon a)');
	hover_text.hover(function(){ 
		$(this).stop().animate({'opacity': 0.7}, 'fast');
		},function() { 
		$(this).stop().animate({'opacity': 1}, 'fast');
	});

/*-----------------------------------------------------------------------------------*/
/*	Album Gallery Mansonry
/*-----------------------------------------------------------------------------------*/

	if ( ! Modernizr.csstransitions) {

		//alert('transition not supported');
		$(".album-thumb img").css({ opacity:0.7});

		$('.album-thumb').hover(function(){
			$(this).find('img').stop().animate({top:'90px', opacity:1},{queue:false,duration:400, easing:'easeOutQuart'});
			$(this).find("p").stop().animate({opacity:1},{queue:false,duration:400, easing:'easeOutQuart'});
		}, function() {
			$(this).find('img').stop().animate({top:'0px', opacity:0.7},{queue:false,duration:400, easing:'easeOutQuart'});
			$(this).find("p").stop().animate({opacity:0},{queue:false,duration:400, easing:'easeOutQuart'});
		});

	}

             /* Albums Isotope Filter
             --------------------------------*/

	var $albums = $('#albums-grid');
	

	$albums.imagesLoaded( function(){
		setColumnWidth('album-item-container', '#albums-grid', 1, 2, 3, 3, 4);
		$albums.isotope({
			itemSelector : '.album-item-container'
		});
	});

	

	var optionFilter = $('#filter'),
	optionFilterLinks = optionFilter.find('a');
	optionFilterLinks.attr('href', '#');

	optionFilterLinks.click( function(){
		var selector = $(this).attr('data-filter');
		$albums.isotope({ 
			filter : '.' + selector, 
			itemSelector : '.album-item-container',
			layoutMode : 'fitRows',
			animationEngine : 'best-available'
		});

		// Highlight the correct filter
		optionFilterLinks.removeClass('active');
		$(this).addClass('active');
		return false;
	});

	$(window).smartresize(function(){
		setColumnWidth('album-item-container', '#albums-grid', 1, 2, 3, 3, 4);
		$albums.isotope('reLayout');
	});

             
	 /* Store Isotope Filter
             --------------------------------*/

	var $items = $('#store-grid');
	
	$items.imagesLoaded( function(){
		setColumnWidth('store-item-container', '#store-grid', 1, 3, 3, 3, 3);
		$items.isotope({
			itemSelector : '.store-item-container',
			resizable : false,
		});
	});

	optionFilterLinks.click( function(){
		var selector = $(this).attr('data-filter');
		$items.isotope({ 
			filter : '.' + selector, 
			itemSelector : '.store-item-container',
			//layoutMode : 'fitRows',
			animationEngine : 'best-available'
		});

		// Highlight the correct filter
		optionFilterLinks.removeClass('active');
		$(this).addClass('active');
		return false;
	});

	$(window).smartresize(function(){
		setColumnWidth('store-item-container', '#store-grid', 1, 3, 3, 3, 3);
		$items.isotope('reLayout');
	});


/*-----------------------------------------------------------------------------------*/
/*	Video Gallery Mansonry
/*-----------------------------------------------------------------------------------*/

	if ( ! Modernizr.csstransitions ) {

		$('.video-thumb').hover(function(){
			$(this).find('.video-title').stop().animate({bottom:'0px'},{queue:false,duration:400, easing:'easeOutQuart'});
		}, function() {
			$(this).find('.video-title').stop().animate({bottom:'-150px'},{queue:false,duration:400, easing:'easeOutQuart'});
		});


	}
      		

/*-----------------------------------------------------------------------------------*/
/*	Functions for Isotope
/*-----------------------------------------------------------------------------------*/
      	
      	function getNumColumns(container, a, b, c, d, e){
		var winWidth = $(container).width();
		var column = 3;		
		if ( winWidth<500) column = a;			
		else if ( winWidth >=500 && winWidth<767) column = b;
		else if ( winWidth>=767 && winWidth<1024) column = c;
		else if ( winWidth>=1024  && winWidth<1200) column = d;
		else if ( winWidth>=1200  && winWidth<1600) column = d;
		else if ( winWidth>=1600) column = e;			
		return column;
	}
	
	function getColumnWidth(container, a, b, c, d, e){
		var columns = getNumColumns(container, a, b, c, d, e);		
		var bodyWidth = $(container).width();	
		var columnWidth = bodyWidth/columns;
		columnWidth = Math.floor(columnWidth);
		return columnWidth;
	}

	function setColumnWidth(selector, container, a , b, c, d , e ){
		a = a || 1;
		b = b || 2;
		c = c || 3;
		d = d || 4;
		e = e || 5;
		var ColumnWidth = getColumnWidth(container, a, b, c, d, e);
		$("."+selector).each(function(index){
			$(this).css({"width":ColumnWidth+"px"});			
		});
	}
                

/*-----------------------------------------------------------------------------------*/
/*	Fancybox
/*-----------------------------------------------------------------------------------*/

if ( BdAjax.noFancybox !== 'true' ) {



	$(".fancybox, .gallery-icon a").fancybox({
		padding : 0,
		nextEffect : 'fade',
		prevEffect : 'fade',
		openEffect  : 'elastic',
		closeEffect : 'elastic',
		openSpeed : 500,
		closeSpeed : 500,
		helpers : {
			title : {
				type : 'outside'
			},
			overlay : {
				opacity: 0.9,
			}
		}
	});

	$('.fancybox-media').fancybox({
		padding : 0,
		nextEffect : 'none',
		prevEffect : 'none',
		openEffect  : 'none',
		closeEffect : 'none',
		helpers : {
			media : {},
			title : {
				type : 'outside'
			},
			overlay : {
				opacity: 0.9,
			}
		}
	});

	$(".gallery-icon a").each(function(){$(this).attr('rel','gallery');});
	$("#gallery .fancybox").each(function(){$(this).attr('rel','gallery');});
	$(".fancybox-media").each(function(){$(this).attr('rel','video-gallery');});

}


/*-----------------------------------------------------------------------------------*/
/*	Fitvids to make videos responsive
/*-----------------------------------------------------------------------------------*/

	$("#page").fitVids();


/*-----------------------------------------------------------------------------------*/
/*	Search form input focus effect
/*-----------------------------------------------------------------------------------*/
	
	input = $('.single-form input[type="text"]');
	
	input.each(function(){
		
		var defaultText = $(this).val();

		$(this).focus(function(){       
			if ( $(this).val()==defaultText){
				
				$(this).val("");
			}
		});

		$(this).blur(function(){
			if ( $(this).val()==""){
				
				$(this).val(defaultText);
			}
		});
	});

/*-----------------------------------------------------------------------------------*/
/*	Smooth anchor scroll
/*-----------------------------------------------------------------------------------*/
	
	$('.scroll').bind('click',function(event){
		var $anchor = $(this);                   
			$('html, body').stop().animate({
			scrollTop: $($anchor.attr('href')).offset().top
		}, 1000,'swing');
		event.preventDefault();
	});

/*-----------------------------------------------------------------------------------*/
/*	Back to the top link smooth effect
/*-----------------------------------------------------------------------------------*/
	
	$(window).scroll(function(){
		posScroll = $(window).scrollTop();
		if ( posScroll >=550)
			$('a#top-arrow').addClass( 'visible' );
		else
			$('a#top-arrow').removeClass( 'visible' );
	});

/*-----------------------------------------------------------------------------------*/
/*	Share Popup
/*-----------------------------------------------------------------------------------*/

	jQuery(".bd-share-mobile a").click(function() {
 		var url = jQuery(this).attr("href");
		var popup = window.open(url,"null", "height=350,width=570, top=150, left=150");
		if (window.focus) {
			popup.focus();
		}
		return false; 
	});

/*-----------------------------------------------------------------------------------*/
/*	Fix video z-index bug
/*-----------------------------------------------------------------------------------*/

	var iframes = $( 'iframe' );

	if ( iframes.length ) {

		iframes.each( function(){
			
			var url = $( this ).attr( 'src' );

			if ( url.match( /(youtube.com)|(youtu.be)/i ) ) {
				
				if ( url.indexOf( '?' ) !== -1) {

					$( this ).attr( 'src', url + '&wmode=transparent' );

				} else {

					$( this ).attr('src', url + '?wmode=transparent' );

				}
			}
			
				
		} );

	}

/*-----------------------------------------------------------------------------------*/
/*	WP caption fix
/*-----------------------------------------------------------------------------------*/
	
	$('.wp-caption' ).removeAttr( 'style' );


/*-----------------------------------------------------------------------------------*/
/*	IE < 9 last-child fix
/*-----------------------------------------------------------------------------------*/

	$('.ie8 *:last-child').addClass('last-child');

/*-------------------------------*/
}); // end document ready


jQuery(window).load(function(){

	/* Trick to customize the embed tweet
	--------------------------------------------------------*/
	var tweet = jQuery('.entry .twitter-tweet-rendered, .entry-content .twitter-tweet-rendered');
	tweet.removeAttr( 'style' );
	tweet.animate({"opacity": 1});

	var share = jQuery('.bd-share-container');
	share.animate({"opacity": 1}, "slow");

	jQuery('body').width(jQuery('body').width()+1).width('auto')
});