function bd_format_twitter_list(twitters) {
  var statusHTML = [];
  for (var i=0; i<twitters.length; i++){
    var username = twitters[i].user.screen_name;
    var status = twitters[i].text.replace(/((https?|s?ftp|ssh)\:\/\/[^"\s\<\>]*[^.,;'">\:\s\<\>\)\]\!])/g, function(url) {
      return '<a target="_blank" href="'+url+'">'+url+'</a>';
    }).replace(/\B@([_a-z0-9]+)/ig, function(reply) {
      return  reply.charAt(0)+'<a target="_blank" href="http://twitter.com/'+reply.substring(1)+'">'+reply.substring(1)+'</a>';
    }).replace(/\B#([_a-z0-9]+)/ig, function(hashtag) {
      return  '<a target="_blank" href="http://twitter.com/'+hashtag.substring(1)+'">#'+hashtag.substring(1)+'</a>';
    });
    statusHTML.push('<li><span class="tweet_time"><a target="_blank" href="http://twitter.com/'+username+'/statuses/'+twitters[i].id_str+'">about '+relative_time(twitters[i].created_at)+'</a></span><span class="tweet_text">'+status+'</span></li>');
  }
  return statusHTML.join('');
}

function bd_format_twitter(twitters) {
  var statusHTML = [];
  for (var i=0; i<twitters.length; i++){
    var username = twitters[i].user.screen_name;
    var status = twitters[i].text.replace(/((https?|s?ftp|ssh)\:\/\/[^"\s\<\>]*[^.,;'">\:\s\<\>\)\]\!])/g, function(url) {
      return '<a target="_blank" href="'+url+'">'+url+'</a>';
    }).replace(/\B@([_a-z0-9]+)/ig, function(reply) {
      return  '<a target="_blank" href="http://twitter.com/'+reply.substring(1)+'">@'+reply.substring(1)+'</a>';
    }).replace(/\B#([_a-z0-9]+)/ig, function(hashtag) {
      return  '<a target="_blank" href="http://twitter.com/'+hashtag.substring(1)+'">#'+hashtag.substring(1)+'</a>';
    });
    statusHTML.push('<span class="tweet_text">'+status+'</span><br><span class="tweet_time_big"><a target="_blank" href="http://twitter.com/'+username+'/statuses/'+twitters[i].id_str+'">about '+relative_time(twitters[i].created_at)+'</a> <span class="themecolor"> | </span> <a target="_blank" href="http://twitter.com/'+username+'">@'+username+'</span></span>');
  }
  return statusHTML.join('');
}

function relative_time(time_value) {
  var values = time_value.split(" ");
  time_value = values[1] + " " + values[2] + ", " + values[5] + " " + values[3];
  var parsed_date = Date.parse(time_value);
  var relative_to = (arguments.length > 1) ? arguments[1] : new Date();
  var delta = parseInt((relative_to.getTime() - parsed_date) / 1000);
  delta = delta + (relative_to.getTimezoneOffset() * 60);

  if (delta < 60) {
    return 'less than a minute ago';
  } else if(delta < 120) {
    return '1 min ago';
  } else if(delta < (60*60)) {
    return (parseInt(delta / 60)).toString() + ' minutes ago';
  } else if(delta < (120*60)) {
    return '60 mins ago';
  } else if(delta < (24*60*60)) {
    return (parseInt(delta / 3600)).toString() + ' hours ago';
  } else if(delta < (48*60*60)) {
    return '1 day ago';
  } else {
    return (parseInt(delta / 86400)).toString() + ' days ago';
  }
}