<?php
$band = get_post_meta(get_the_ID(), 'bd_release_band', true);
$title = get_post_meta(get_the_ID(), 'bd_release_title', true);
$date = get_post_meta(get_the_ID(), 'bd_release_date', true);
$label = get_post_meta(get_the_ID(), 'bd_release_label', true);
$desc = get_post_meta(get_the_ID(), 'bd_release_desc', true);
?>
<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
	<?php if(has_post_thumbnail()): ?>
	<div class="release-meta preview">
		<a title="<?php _e('View details', 'bd'); ?>" href="<?php the_permalink(); ?>">
			<img width="97%" src="<?php echo bd_get_post_thumbnail_url('store-thumb'); ?>" alt="<?php the_title(); ?>">
		</a>
	</div>
	<?php endif; ?>
	<div class="release-content">
		<h2 class="entry-title">
			<a class="entry-link" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'bd'), get_the_title()); ?>" href="<?php echo esc_url( get_permalink() ); ?>">
				<?php the_title(); ?>
			</a>
		</h2>
		<?php if($band): ?><strong><?php echo $band; ?></strong><?php endif ; ?>
		<?php if($band && $title): ?> &mdash; <?php endif ; ?>
		<?php if($title): ?><?php echo $title; ?><?php endif ; ?>

		<?php if($date): ?><br><?php printf(__('<strong>Release date</strong> : %s', 'bd'), bd_date_format($date)); ?><?php endif ; ?>
		<?php if($label): ?><br><?php printf(__('<strong>Label</strong> : %s', 'bd'), $label) ; ?><?php endif ; ?>

		<?php if($desc): ?><p style="margin-top:0.5em"><?php echo do_shortcode($desc); ?></p><?php endif ; ?>

		<div style="height:10px"></div>
		<a href="<?php the_permalink(); ?>" class="more-link"><?php _e('View details', 'bd'); ?></a>
	</div>
</article>
<div class="clear"></div>
<hr>
