<?php
get_header();
bd_page_before();
?>

	<div id="main-content" class="wrap">
		<?php 
		if(have_posts()): 
			while ( have_posts() ) : the_post(); 
			
			$paypal_button = false;
			$band = get_post_meta(get_the_ID(), 'bd_release_band', true);
			$title = get_post_meta(get_the_ID(), 'bd_release_title', true);
			$date = get_post_meta(get_the_ID(), 'bd_release_date', true);
			$label = get_post_meta(get_the_ID(), 'bd_release_label', true);
			$itunes = get_post_meta(get_the_ID(), 'bd_release_itunes', true);
			$amazon = get_post_meta(get_the_ID(), 'bd_release_amazon', true);
			$buy_cd = get_post_meta(get_the_ID(), 'bd_release_buy_cd', true);

			$sold_out = get_post_meta(get_the_ID(), 'bd_release_soldout', true);

			if(get_post_meta(get_the_ID(), 'bd_release_buy_cd_text', true))
				$buy_cd_text = get_post_meta(get_the_ID(), 'bd_release_buy_cd_text', true);
			else
				$buy_cd_text = __('Buy Now', 'bd');

			if(!$buy_cd && get_post_meta(get_the_ID(), 'bd_paypal_price', true)){
				$paypal_button = true;
				$price = get_post_meta(get_the_ID(), 'bd_paypal_price', true);
				$paypal_type = get_post_meta(get_the_ID(), 'bd_paypal_type', true);
				$item_name = get_post_meta(get_the_ID(), 'bd_paypal_item_name', true);
				$type = get_post_meta(get_the_ID(), 'bd_paypal_type', true);
				$shipping = get_post_meta(get_the_ID(), 'bd_paypal_shipping', true);
				$tax = get_post_meta(get_the_ID(), 'bd_paypal_tax', true);

				if(!$item_name)
					$item_name = __('Item name', 'bd');

				if(get_post_meta(get_the_ID(), 'bd_release_buy_cd_text', true))
					$paypal_text = get_post_meta(get_the_ID(), 'bd_paypal_text', true);
				else
					$paypal_text = __('Buy CD', 'bd');
			}
		?>

		<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
			<div class="release-meta">
				<?php if(has_post_thumbnail()): ?>
				<img width="97%" src="<?php echo bd_get_post_thumbnail_url('store-thumb'); ?>" alt="<?php the_title(); ?>">
				<div style="height:10px"></div>
				<?php endif; ?>
				
				<?php if( !$sold_out ): ?>
					<?php if($itunes): ?><a target="_blank" href="<?php echo esc_url($itunes); ?>" class="buy-button"><span class="buy-itunes"></span><?php _e('Buy on iTunes', 'bd'); ?></a><?php endif ; ?>
					<?php if($amazon): ?><a target="_blank" href="<?php echo esc_url($amazon); ?>" class="buy-button"><span class="buy-amazon"></span><?php _e('Buy on Amazon', 'bd'); ?></a><?php endif ; ?>
					<?php if($buy_cd): ?><a href="<?php echo esc_url($buy_cd); ?>" class="buy-button"><span class="buy-cd"></span><?php echo $buy_cd_text; ?></a><?php endif ; ?>
					<?php 

					if($paypal_button){

						bd_paypal($paypal_text, $item_name, $price, $type, $shipping, $tax);

					} 
					?>
				<?php else: ?>
				<?php _e('Sold Out', 'bd') ; ?>
				<?php endif; ?>

				<div style="height:10px;"></div>
				<?php if($band): ?><strong><?php echo $band; ?></strong><?php endif ; ?>
				<?php if($band && $title): ?> &mdash; <?php endif ; ?>
				<?php if($title): ?><?php echo $title; ?><?php endif ; ?>
				<?php if($date): ?><br><?php printf(__('<strong>Release date</strong> : %s', 'bd'), bd_date_format($date)); ?><?php endif ; ?>
				<?php if($label): ?><br><?php printf(__('<strong>Label</strong> : %s', 'bd'), $label) ; ?><?php endif ; ?>

				
				<?php $tracklist = get_post_meta($post->ID, 'bd_release_tracklist', true);
				if( $tracklist != array() && !empty($tracklist[0]) ) : ?>
					<hr>
					<strong style="display:block;"><?php _e('Tracklist', 'bd'); ?>:</strong>
					<ol class="tracklist">
					<?php foreach($tracklist as $track): ?>
						<li><?php echo $track; ?></li>
					<?php endforeach; ?>
					</ol>
				<?php endif;

				/* Share buttons
			--------------------------*/
				if( bd_is_share() ): ?>
				<hr>
				<h3><?php _e('Share', 'bd'); ?></h3>
				<?php bd_share_mobile(false); ?>
				<?php endif; ?>
				</div>
				<hr class="mobile-hide">
			<div class="release-content">				
				<?php the_content(); ?>
			</div>
		</article>
		<div class="clear"></div>
		<hr>
		<?php endwhile; // end of the loop.
		
		/* Navigation
		-------------------*/
		bd_single_post_nav();

		endif; ?>
	</div><!-- .wrap #main-content -->
<?php 
bd_page_after();
get_footer(); 
?>