<?php
/**
 * Template used for the review taxonomies
 *
 */
get_header();
bd_page_before();
?>
	<div id="main-content" class="wrap">
		<?php if(have_posts()): while(have_posts()): the_post(); 
		$title = get_post_meta($post->ID, 'bd_review_title', true);
		$date = get_post_meta($post->ID, 'bd_review_date', true);
		$rating = get_post_meta($post->ID, 'bd_review_rating', true);
		?>
		<div class="review-meta">
			<?php 
			/* Cover, band and title
			--------------------------------*/
			if(has_post_thumbnail() ): ?>
			<img width="97%" style="margin-bottom:5px;" src="<?php echo bd_get_post_thumbnail_url('item-thumb'); ?>" alt="<?php the_title(); ?>">
			<?php endif; ?>
			<strong><?php echo strip_tags(get_the_term_list( $post->ID, 'band', '', ', ')); ?></strong>
			<?php if( $title ): ?>
			 &mdash; <strong><?php echo $title; ?></strong>
			<?php endif; 

			/* Rating
			--------------------------*/
			echo bd_rating($rating); 

			/* Tracklist
			--------------------------*/
			$tracklist = get_post_meta($post->ID, 'bd_review_tracklist', true);
			if( $tracklist != array() && !empty($tracklist[0]) ) : ?>
				<hr>
				<strong style="display:block;"><?php _e('Tracklist', 'bd'); ?>:</strong>
				<ol class="tracklist">
				<?php foreach($tracklist as $track): ?>
					<li><?php echo $track; ?></li>
				<?php endforeach; ?>
				</ol>
			<?php endif; 

			/* Taxonomy
			--------------------------*/
			if(
				get_the_term_list( $post->ID, 'genre')
				|| get_the_term_list( $post->ID, 'label')
				|| get_the_term_list( $post->ID, 'country')
				|| get_the_term_list( $post->ID, 'format')
			):
			?>
			<hr>
			<h3><?php _e('Release Details', 'bd'); ?></h3>
			
			<?php echo get_the_term_list( $post->ID, 'genre', '<br><strong>'. __('Genre', 'bd').'</strong> : ', ', ', '' ); ?>
			<?php echo get_the_term_list( $post->ID, 'label', '<br><strong>'. __('Label', 'bd').'</strong> : ', ', ', '' ); ?>
			<?php echo get_the_term_list( $post->ID, 'country', '<br><strong>'. __('Country', 'bd').'</strong> : ', ', ', '' ); ?>
			<?php echo get_the_term_list( $post->ID, 'format', '<br><strong>'. __('Format', 'bd').'</strong> : ', ', ', '' ); ?>
				<?php 
				if($date) :
					echo '<br>';
				/* you can change the date format below. e.g :$date_format = 'd/m/y'; */
				$date_format = get_option('date_format');
				
				$sql_date = bd_sql_date_format($date);
				$format_date = mysql2date( $date_format,  $sql_date );
					printf(  __('<strong>Date : </strong> %s', 'bd'), $format_date ); 
				endif;
				?>
			<?php 
			endif;

			/* Share buttons
			--------------------------*/
			if( bd_is_share() ): ?>
			<hr>
			<h3><?php _e('Share', 'bd'); ?></h3>
			<?php bd_share_mobile(false); ?>
			<?php endif; ?>
		</div>
		<div class="review-content">
			<?php 
			/* Meta, content & post nav
			-------------------------------------*/
			bd_post_meta();
			the_content(); 
			
			echo "<hr>";
			bd_single_post_nav();
			echo "<hr>";

			/**
			* Displaying the comments
			*/
			comments_template(); 
			?>
		</div>
		<aside id="review-sidebar">
			<?php

			/* Last Reviews Sidebar
			-------------------------------------*/
			$count = 4;
			if(bd_get_option('review_sidebar_count'))
				$count = bd_get_option('review_sidebar_count');

			$do_not_duplicate = array();
		
			if(is_single()){
				global $wp_query;

				if( $wp_query  && isset($wp_query->post->ID) )
					$do_not_duplicate[] = $wp_query->post->ID;
			}

			$args = array( 
					'post_type' => array('review') ,
					'posts_per_page' => $count,
					'meta_key'    => '_thumbnail_id',
			);

			if(is_single() && $post_type == 'review'){
				$args['post__not_in'] = $do_not_duplicate;
			}

			$loop = new WP_Query($args);
			if($loop->have_posts()): ?>
			<div>
				<h3><?php _e('Last reviews', 'bd'); ?></h3>
			<?php while ( $loop->have_posts() ) : $loop->the_post(); 
				$band = strip_tags(get_the_term_list( $post->ID, 'band', '', ', '));
				$title = get_post_meta(get_the_ID(), 'bd_review_title', true);
				$rating = get_post_meta(get_the_ID(), 'bd_review_rating', true);
			?>
				<?php if(has_post_thumbnail()): ?>
				<a title="<?php _e('View details', 'bd'); ?>" href="<?php the_permalink(); ?>">
					<img style="margin-top:-10px" src="<?php echo bd_get_post_thumbnail_url('item-thumb'); ?>" alt="<?php the_title(); ?>"></a>
				<?php endif; ?>
				<div style="height:10px"></div>
				<?php if($band): ?><strong><?php echo $band; ?></strong><?php endif ; ?>
				<?php if($band && $title): ?><br><?php endif ; ?>
				<?php if($title): ?><?php echo $title; ?><br><?php endif ; ?>
				<?php echo bd_rating($rating, true); ?>
				<?php if($count > 1): ?>
				<div style="height:25px"></div>
				<?php endif; ?>
			<?php endwhile; ?>
			</div>
			<?php endif;
			?>
		<?php endwhile; endif; ?>
		</aside>
	</div><!-- .wrap #main-content -->
<?php 
bd_page_after();
get_footer(); 
?>