<?php
/*
Template Name: Shows
*/
get_header();
bd_page_before();
?>

	<div class="wrap" id="main-content">
		<div id="primary" class="site-content">
			<div id="content" role="main">
				<?php 

				/**
				* The custom query function to get the shows can be found in "includes/theme-functions.php"
				*
				*/

				$upcoming_shows = $wpdb->get_results( bd_shows_query(), OBJECT);
				$past_shows = $wpdb->get_results( bd_shows_query(false), OBJECT);

				if($upcoming_shows): ?>
					<h2><?php _e('Upcoming Shows', 'bd'); ?></h2>

				<?php

					echo '<table id="upcoming-shows" class="shows">';
					foreach( $upcoming_shows as $show ):
						$show_date = bd_custom_date_format(get_post_meta( $show->ID, 'bd_show_date', true ));
						$show_city = get_post_meta( $show->ID, 'bd_show_city', true );
						$show_venue = get_post_meta( $show->ID, 'bd_show_venue', true );
						$show_ticket = get_post_meta( $show->ID, 'bd_show_ticket', true );
						$cancelled = get_post_meta( $show->ID, 'bd_show_cancel', true );
						$soldout = get_post_meta( $show->ID, 'bd_show_soldout', true );
						$free = get_post_meta( $show->ID, 'bd_show_free', true );
						$facebook_page = get_post_meta( $show->ID, 'bd_show_fb', true);

							
						if( !$cancelled && !$soldout && $show_ticket ){

							$show_action = '<a target="_blank" href="'.esc_url($show_ticket).'" class="wolf-button small black square">'.__('Buy ticket', 'bd').'</a>';
						}

						elseif($cancelled){

							$show_action = '<span class="label">'.__('cancelled', 'bd').'</span>';

						}

						elseif($soldout){
							$show_action = '<span class="label sold-out">'.__('sold out!', 'bd').'</span>';
						}	

						elseif( !$cancelled && !$soldout && !$show_ticket && $free ){

							$show_action = '<span class="label">'.__('free', 'bd').'</span>';

						}

						elseif( !$cancelled && !$soldout && !$show_ticket && !$free ){

							$show_action = '<span class="label">&nbsp;</span>';

						}
						?>
						<tr>
							<td class="show-date"><?php echo $show_date; ?></td>
							<td>
								<a class="entry-link" href="<?php echo get_permalink($show->ID); ?>">
									<strong><?php echo $show_city; ?></strong><span class="mobile-hide"><?php echo $show_venue; ?></span>
								</a>
							</td>
							<td class="show-venue"><?php echo $show_venue; ?></td><td style="width:10%"><?php echo get_post_meta( $show->ID, 'bd_show_artist', true ); ?></td>
							<td><?php echo get_the_title( $show->ID ); ?></td>
							<td>
							<?php 
							if(has_post_thumbnail( $show->ID )): 
							$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($show->ID), 'full-size');
							echo '<a title="'.__('Flyer', 'bd').'" class="fancybox" href="' . $large_image_url[0] . '">';
							echo '<span class="icon-image"></span>'; 
							echo '</a>';
							endif; 
							
							if($facebook_page): 
							echo '<a title="'.__('View the facebook event page', 'bd').'" target="_blank" href="' . $facebook_page . '">';
							echo '<span class="icon-facebook"></span>'; 
							echo '</a>';
							endif; 
							?>
							</td>
							<td class="show-action">
								<?php echo $show_action; ?>
							</td>
						</tr>
					<?php 
					endforeach;

					echo '</table>';
				
				else:
					
					?><p><?php _e('No upcoming shows scheduled.', 'bd'); ?></p><?php

				
				endif; ?>

				<?php

				if($past_shows): ?>
					<hr>
					<h2><?php _e('Past Shows', 'bd'); ?></h2>
					
				<?php

					echo '<table id="past-shows" class="shows">';
					foreach( $past_shows as $show ):
						$show_date = bd_custom_date_format(get_post_meta( $show->ID, 'bd_show_date', true ));
						$show_date_mobile = bd_date_mobile_format(get_post_meta( $show->ID, 'bd_show_date', true ));
						$show_city = get_post_meta( $show->ID, 'bd_show_city', true );
						$show_venue = get_post_meta( $show->ID, 'bd_show_venue', true );
						$cancelled = get_post_meta( $show->ID, 'bd_show_cancel', true );
						$show_action = '';
						
						if(!$cancelled):
						?>
						<tr>
							<td class="show-date"><?php echo $show_date; ?></td>
							<td><strong><?php echo $show_city; ?></strong><span class="mobile-hide"><?php echo $show_venue; ?></span></td>
							<td class="show-venue"><?php echo $show_venue; ?></td>
							<td class="show-action">
								<?php echo $show_action; ?>
							</td>
						</tr>
					<?php   endif;
					endforeach;

					echo '</table>';

				endif; ?>

			</div><!-- #content -->
		</div><!-- #primary .site-content -->
		<?php get_sidebar(); ?>
	</div><!-- #main-content .wrap -->	
	
<?php 
bd_page_after();
get_footer(); 
?>
